export default {
  en: {
    defaultTitle: 'Data entry',
    leftMenu: {
      close: 'Interrupt project',
      stop: 'Finalize project',
    },
    rightMenu: {
      dataEntry: 'Data entry',
      graphic: 'Graphic',
      visualization: 'Visualization',
      situation: 'Situation',
      statistic: 'Statistics',
      parameter: 'Parameters',
    },
    form: {
      breadcrumb: {
        title: 'Configuration',
        device: {
          short: 'Exp.',
          long: 'Experiment',
        },
        block: {
          short: 'B.',
          long: 'Block',
        },
        subBlock: {
          short: 'SB.',
          long: 'Sub block',
        },
        unitParcel: {
          short: 'UP.',
          long: 'Unit plot',
        },
        treatment: {
          short: 'Treat.',
          long: 'Treatment',
        },
        individual: {
          short: 'Ind.',
          long: 'Individual',
        },
        id: {
          short: 'ID.',
          long: 'Ident',
        },
        position: {
          short: 'X,Y Pos.',
          long: 'X,Y Position',
        },
        empty: '-',
      },
      position: {
        noPosition: 'No position defined',
        message: 'X {x}, Y {y}',
        dialog: {
          openLabel: 'Move',
          title: 'Change current object',
          levelSelector: {
            label: 'Level',
            individual: 'Individual',
            parcel: 'Unit Plot',
            subBlock: 'Sub Block',
            block: 'Block',
            device: 'Experiment',
          },
          validLabel: 'Select',
          cancelLabel: 'Close',
        },
        ident: {
          label: 'Individual or PU ID',
          notValidIdent: 'Unknown ident.',
          confirmVisitedObject: {
            title: 'Already visited object',
            message: 'The target object has already been visited and contains measures. Proceed to modify those measures?',
            confirm: 'Confirm',
            cancel: 'Cancel',
          },
        },
        autoIncrement: {
          notValidPosition: 'No available object at calculated position by auto-increment',
        },
        movementAlert: {
          title: 'Movement alert',
          currentPosition: 'Current position: {x},{y}',
          lastPosition: 'Last position: {x},{y}',
          deltaMovement: 'Relative movement: {x},{y}',
          closeBtn: 'close',
        },
      },
      positionSelector1D: {
        autoIncr: 'Auto inc.',
      },
      eDentryVariableForm: {
        error: {
          invalidContent: 'Invalid data content',
          confirmPopup: 'Confirm',
          popupMessage: 'One or more of the value in the form are invalid, please review them',
          popupTitle: 'Invalid data input',
        },
        submit: 'Next',
        save: 'Submit',
        previous: 'Previous',
      },
      dentryFields: {
        noActiveVariable: 'No active variable',
        fieldVariableInt: {
          unrecognizedSpeech: 'Unrecognized integer : {value}',
        },
        fieldVariableDate: {
          unrecognizedSpeech: 'Unrecognized time indicator : {value}',
        },
        fieldVariableGenerator: {
          dialogTitle: 'Generated variables',
          okBtnLabel: 'Validate',
          addBtnLabel: 'Add',
          noEntry: 'No data available',
          error: {
            tooMuchGenerator: 'You can\'t set more than 50 generated variables',
            notIntNumber: 'You can\'t use a decimal number here',
          },
          delete: {
            title: 'Confirmation',
            message: 'The occurrence "{name}" will be removed. Proceed?',
            okBtnLabel: 'Continue',
            cancelBtnLabel: 'Cancel',
          },
          modificationDelete: {
            title: 'Caution',
            message: 'Extra occurrences will be deleted.',
            okBtnLabel: 'Continue',
            cancelBtnLabel: 'Cancel',
          },
        },
        fieldVariableBoolean: {
          trueValue: 'Yes',
          falseValue: 'No',
        },
        fieldVariableAlphanumeric: {
          title: 'Value hint list',
          addToListMessage: 'value hint list does not include {value}. Add value to list ?',
          confirm: 'Yes',
          cancel: 'No',
        },
        fieldVariableReal: {
          title: 'Notation Scale',
          outOfScaleLimit: 'Caution: Value {value} is incorrect. Scale associated to variable {variable} does not allow this value.',
          exclusiveScale: 'Exclusive Scale: {scale}',
          openScale: 'Open Scale: {scale}',
          confirm: 'OK',
          incorrectNumberOfDigit: 'Incorrect number of digit (max {max})',
        },
        speechRecognition: {
          next: '^next$',
          remove: '^remove$',
          yesterday: 'yesterday',
          today: 'today',
          tomorrow: 'tomorrow',
        },
        outOfScale: 'Unknown value',
      },
      annotation: {
        openBtnLabel: 'Annotation',
        openBtnLabelSmall: 'Annot.',
        title: 'Annotation',
        noname: 'No name',
        valueField: 'Annotation',
        nameField: 'Name',
        typeField: 'Type',
        types: {
          text: 'Text',
          image: 'Photo',
        },
        closeBtnLabel: 'Ok',
        addBtnLabel: 'Add',
        deleteImageBtnLabel: 'Delete image',
        picturePlaceholder: 'Picture',
        categories: {
          event: 'Event',
          observation: 'Observation',
          measure: 'Measure',
          difficulty: 'Difficulty',
          test: 'Test',
        },
        category: 'Category',
        keywords: 'Keywords',
        required: 'Required',
        popup: {
          continueLabel: 'Continue',
          cancelLabel: 'Cancel',
        },
      },
      barCode: {
        title: 'ID association',
        valueField: 'ID',
        closeBtnLabel: 'Close',
        saveBtnLabel: 'Save',
        askIdent: {
          title: 'Association',
          message: 'Do you want to proceed with ID association?',
          confirmLabel: 'Yes',
          cancelLabel: 'No',
        },
        identExists: 'Ident already in use.',
      },
      state: {
        openBtnLabel: 'State',
        title: 'Define state',
        stateField: 'State',
        closeBtnLabel: 'Close',
        currentText: 'Current state',
        changeListText: 'Change state',
        saveBtnLabel: 'Save',
        replantingPopup: {
          title: 'Replanting',
          message: 'Confirm the replanting',
          confirm: 'Confirm',
          cancel: 'Cancel',
          dateLabel: 'Replanting date',
        },
      },
      notepad: {
        chips: 'Notes: {count}',
        valueField: 'Notes',
        closeBtnLabel: 'Close',
        addBtnLabel: 'Add',
        newNoteLabel: 'Note',
        emptyAlert: 'No notes registered. Use the "add" button to add a new one.',
      },
      tests: {
        title: 'Measure test warning',
        variable: 'Variable: {name}',
        test: 'Test: {name}',
        value: 'Value: {value}',
        rangeTest: 'Range test (conditional)',
        rangeError: {
          outMandatory: 'Authorized interval does not include this value',
          outOptional: 'Probable interval does not include this value',
          mandatoryInterval: 'Authorized : min {min} | max {max}',
          optionalInterval: 'Probable : min {min} | max {max}',
          confirmOptional: 'Confirm given value ?',
          rewriteMandatory: 'Cancel value ?',
          annotationTitle: 'Error {test}',
          annotationText: 'Value {value} does not match test\'s rules',
        },
        combinationTest: 'Combination test',
        combinationError: {
          messageValue: 'Value: ',
          textualFormula: '{first} {op} {second} = value',
          evaluationFormula: '{first} {op} {second} = {value}',
          condition: 'Condition: ',
          conditionFormula: '{min} <= valeur <= {max}',
          confirmQuestion: 'Value does not respect condition. Confirm and continue ?',
          annotationTitle: 'Error on {test}',
          annotationText: 'Test failure, value does not match rule : {min} <= {value} <= {max}. Forced',
        },
        preconditionedTest: 'Preconditioned calculation',
        preconditionedCalculation: {
          title: 'Conditional Test',
          calculation: 'Calculated Value: ',
          calculationFormula: '{var} = {value}',
          rule: 'Rule: ',
          ruleFormula: '{var1} {condition} {var2}',
          confirmQuestion: 'Accept value ?',
        },
        growthTest: 'Growth Test',
        growthError: {
          comparisonVariable: 'Comparison variable: {variable}',
          comparisonFormula: '{variable} = {value}',
          differenceRule: 'The difference between the given value and the variable {variable} must match rule:',
          textualFormula: '{var1}+{min} <= {var2} <= {var1}+{max}',
          confirmQuestion: 'The difference does not match rule. Confirm and continue ?',
          annotationTitle: 'Error {test}',
          annotationText: 'Test failure, value does not match rule : ({comp} + {min}) <= {value} <= ({comp} + {max}). Forced',
        },
        continueLabel: 'Oui',
        cancelLabel: 'Non',
      },
      variableViewer: {
        title: 'Information',
        variable: 'Variable : {name}',
        type: 'Type : {type}',
        types: {
          alpha: 'Alphanumeric',
          int: 'Integer',
          real: 'Real',
          boolean: 'Boolean',
          date: 'Date',
          time: 'Time',
        },
        closeBtnLabel: 'Close',
      },
      validate: {
        title: 'Mandatory variable',
        message: 'Some measures are missing on mandatory variable. Continue ?',
        mandatoryVariable: 'This variable is mandatory. Do you want to leave this field blank ?',
        confirm: 'Continue',
        cancel: 'Cancel',
      },
      tabMode: {
        columns: {
          x: 'X',
          y: 'Y',
          action: '',
        },
        closeDialogBtnLabel: 'Close',
        informationTitle: 'Information:',
        annotationTitle: 'Annotation:',
      },
      material: {
        dialog: {
          title: 'Connect material',
          reading: 'Ready to read...',
          connectBtnLabel: 'Connect',
          acquisition: 'Acquisition',
          frame: 'Frame: {frame}',
          value: '{variable}: {value}',
          valueEmpty: 'No value',
          confirmBtnLabel: 'Confirm',
          disconnectBtnLabel: 'Disconnect',
          closeBtnLabel: 'Close',
        },
        alert: {
          unableToConnect: 'Unable to connect the selected serial port',
        },
      },
      graphic: {
        moveBtnLabel: 'Move here',
      },
      notifications: {
        navigation: {
          locked: 'Workpath navigation mod',
          freeOpen: 'X,Y coordinate navigation mod',
          freeCode: 'ident navigation mod',
          freeGraph: 'graphic navigation mod',
        },
        ui: {
          form: 'Form mod',
          table: 'Table mod',
        },
      },
    },
    parameter: {
      cardVariable: {
        title: 'Variables',
        modifyText: 'Modify variable',
        testNumber: 'No test | 1 test | {count} tests',
        variableDialog: {
          title: 'Add a new variable',
          unique: {
            nameField: 'Variable name',
            nameSmallField: 'Short name',
            typeField: 'Type',
            formatField: 'Format',
            defaultField: 'Value is YES by default',
            nbRepeatField: 'Repetition',
            keywordField: 'Keywords',
            unitField: 'Unit',
            isRequiredField: 'Is Required',
            commentField: 'Comment',
            pathLevel: 'Path level',
            formatLength: 'Format length',
            digitNumber: 'Number of digit',
          },
          generator: {
            step1: 'Information',
            step2: 'Generated vars',
            prefix: 'Generated prefix',
            generatedExpansion: 'Generated Expansion',
            addGenerated: 'Add',
            generatedVariables: 'Generated variables',
          },
          errors: {
            nameIsRequired: 'Variable name is required',
            nameAlreadyUsed: 'Name already used',
            shortNameAlreadyUsed: 'Short name already used',
            nameIsTooLong: 'The name must be shorter than 5 characters',
            typeIsRequired: 'Type is required',
            formatIsRequired: 'Format is required',
            formatLengthIsRequired: 'Format lenght required',
            formatLengthMin: 'Decimal number must be higher than 0',
            pathLevelIsRequired: 'Path level required',
            prefixIsRequired: 'Prefix is required',
            repetitionIsRequired: 'Repetition number @:modules.commons.form.error.isRequired',
            repetitionPositive: 'Repetitions must be positive',
            repetitionMax: 'Repetition cannot be set over 20',
            generatedExpansionIsRequired: 'Generated expansion is required',
          },
        },
        types: {
          real: 'Real',
          string: 'Alphanumeric',
          bool: 'Boolean',
          int: 'Integer',
          date: 'Date',
          time: 'Time',
        },
        pathLevel: {
          parcel: 'Plot',
          block: 'Block',
          subBlock: 'Sub block',
          device: 'Experiment',
          individual: 'Individual',
        },
        formats: {
          free: 'Free',
          decimalNumber: 'Number of decimals',
          characterNumber: 'Number of characters',
          jjmmyyyy: 'jjmmyyyy',
          quantiem: 'Quantiem',
        },
        expansion: {
          alphabetic: 'Alphabetical',
          numeric: 'Numerical',
        },
      },
      library: {
        openBtnLabel: 'Library',
        closeBtnLabel: 'Close',
        title: 'Variables library',
        noDataAvailable: 'No variable available',
        errorLoading: 'Variable Library loading error',
      },
      addBtnLabel: 'Add',
      validBtnLabel: 'Valid',
      cancelBtnLabel: 'Cancel',
      cardTest: {
        title: 'Tests',
        modifyText: 'Modify test',
        noVariableSelected: 'Select a variable to see it\'s associated test',
        testDialog: {
          title: 'Add a test',
          variableField: 'Variable',
          testTypeField: 'Test type',
          errors: {
            variableIsRequired: 'Select a variable',
            typeTestIsRequired: 'Select a test type',
          },
          rangeTest: {
            mandatoryMinValue: 'Allowed min value',
            mandatoryMaxValue: 'Allowed max value',
            optionalMinValue: 'Adviced min value',
            optionalMaxValue: 'Adviced max value',
            errors: {
              mandatoryMinValueIsRequired: 'Value is required',
              mandatoryMinMax: 'Min value must be under max value',
              mandatoryMaxValueIsRequired: 'Value is required',
              optionalMinValueIsRequired: 'Value is required',
              optionalMinMax: 'Min value must be under max value',
              minIntervals: 'Allowed min must be under advice min',
              optionalMaxValueIsRequired: 'Value is required',
              maxIntervals: 'Allowed max must be over advice max',
            },
          },
          growthTest: {
            comparisonVariableUid: 'Comparison variable',
            minDiff: 'Minimum gap',
            maxDiff: 'Maximum gap',
            errors: {
              comparisonVariableUidIsRequired: 'Required value',
              minDiffIsRequired: 'Required value',
              maxDiffIsRequired: 'Required value',
              minMaxDiff: 'Min gap must be under max gap',
            },
          },
          combinationTest: {
            firstOperandUid: 'Variable 1',
            secondOperandUid: 'Variable 2',
            lowLimit: 'Lower bound',
            highLimit: 'Higher bound',
            errors: {
              firstOperandUidIsRequired: 'Required value',
              secondOperandUidIsRequired: 'Required value',
              lowLimitIsRequired: 'Required value',
              highLimitIsRequired: 'Required value',
              minMaxLimit: 'Low bound must be under high one',
              operatorIsRequired: 'Required value',
            },
          },
          preconditionedCalculation: {
            comparisonVariableUid: 'Comparison variable',
            compareWithValue: 'Compare with a',
            variable: 'Variable',
            value: 'Value',
            comparedValue: 'Compared value',
            comparedVariableUid: 'Compared variable',
            affectationValue: 'Affectation value',
            errors: {
              comparedVariableUidIsRequired: 'Required value',
              comparedValueIsRequired: 'Required value',
              affectationValueIsRequired: 'Required value',
              conditionIsRequired: 'Required value',
              comparisonVariableUidIsRequired: 'Required value',
            },
          },
        },
        types: {
          interval: 'Interval',
          increase: 'Increase',
          combine: 'Combine',
          placeholder: 'Default value',
        },
      },
      cardAnnotation: {
        title: 'Required annotation',
        emptySet: 'Not required annotation fount',
      },
      cardOthers: {
        title: 'Others',
        askIdent: 'Enable id/individual association',
        printDataEntry: 'Print data entry',
        lastFieldDoMove: 'Automatic form validation',
        speechRecognition: 'Enable speech recognition',
        disableNumeralKeyboard: 'Disable Android numeral keyboard',
        movementSound: 'Alert on movement change',
        sounds: {
          i1: 'Party blower',
          i2: 'Operation Game Alarm',
          i3: 'Whoosh sound',
          i4: 'Simple pear horn',
          i5: 'Boing boing cartoon',
        },
      },
    },
    situation: {
      project: {
        title: 'Data entry project',
        name: 'Data entry project',
        status: 'Status',
        experimenter: 'Experimenter',
        statusValue: {
          toStart: 'Not started yet',
          running: 'Currently running',
          done: 'Done and closed',
          sent: 'Sent to server',
        },
        nbSession: 'Sessions',
        isMultipleExperimenter: 'Multiple experimenter',
        workpath: 'Experimenter',
        estimatedDuration: 'Estimated duration',
        startTime: 'Start time',
        duration: 'Duration',
        openSession: 'Opened sessions',
      },
      variable: {
        title: 'Variables',
      },
      session: {
        title: 'Current session',
        startTime: 'Start time',
        duration: 'Duration',
      },
      measure: {
        title: 'Measures',
        level: {
          device: {
            title: 'Experiment',
          },
          block: {
            title: 'Block',
          },
          subBlock: {
            title: 'Sub Block',
          },
          unitParcel: {
            title: 'UP',
          },
          individual: {
            title: 'individual',
          },
        },
        type: {
          entries: 'Entries:',
          annotation: 'Required Annotation:',
          objects: 'Objects:',
        },
      },
      status: {
        title: 'Status',
        nbDead: 'Dead counter:',
      },
    },
    visualization: {
      filter: {
        title: 'Filters',
        fieldsLabel: {
          individual: 'Individual',
          x: 'X',
          y: 'Y',
          courseUnit: 'Path unit',
        },
        custom: {
          btnLabel: 'Custom filter',
          title: 'Define a custom filter',
          column: 'Value of column',
          operator: 'is',
          bigger: 'bigger',
          biggerEqual: 'bigger or equal',
          equal: 'same',
          smallerEqual: 'smaller or equal',
          smaller: 'smaller',
          target: 'than/as',
        },
        okBtnLabel: 'OK',
        columns: {
          btnLabel: 'Select columns',
          title: 'Select columns',
        },
      },
      table: {
        title: 'Data',
        noColumns: 'No column to show',
        columns: {
          platform: 'Platform',
          device: 'Experiment',
          block: 'Block',
          subBlock: 'Sub Block',
          parcel: 'Unit plot',
          dead: 'Dead',
          emergenceDate: 'Emergence date',
          demiseDate: 'Demise date',
          treatment: 'Treatment',
          treatmentShort: 'Treatment (short)',
          x: 'X',
          y: 'Y',
          individual: 'Ind',
          annotation: 'Annot',
        },
      },
    },
    statistic: {
      integrationLevels: {
        treatment: 'Treatment',
        unitParcel: 'Unit plot',
        subBlock: 'Sub block',
        block: 'Block',
        device: 'Experiment',
      },
      filter: {
        title: 'Filters',
        variableField: 'Variable',
        integrationLevelField: 'Integration level',
        histogramLevelField: 'Histogram level',
        deviceField: 'Experiment',
        blockField: 'Block',
        unitPlotField: 'Unit plot',
        treatmentField: 'Treatment',
      },
      visualizer: {
        title: 'Data',
        columns: {
          histogram: 'Histogram',
          total: 'Count',
          min: 'Min',
          max: 'Max',
          avarage: 'Average',
          deviation: 'Std. deviation',
          device: 'Exp.',
          block: 'Block',
          unitPlot: 'UP',
          treatment: 'Trait.',
        },
      },
    },
    confirm: {
      close: {
        title: 'Confirmation',
        message: 'Data entry project will be closed. Continue ?',
        okBtnLabel: 'Confirm',
        cancelBtnLabel: 'Cancel',
      },
      stop: {
        title: 'Confirmation',
        messageStillRunning: {
          caution: 'Caution! Some measures are missing.',
          question: 'Data entry project will be closed. Continue?',
          unmodifiable: 'This action can not be canceled',
        },
        messageComplete: 'All measures are registered. Data entry can now be closed.',
        okBtnLabel: 'Continue',
        cancelBtnLabel: 'Cancel',
      },
    },
    printer: {
      startTitle: 'Starting data entry:',
      endTitle: 'Endin data entry:',
      deviceLabel: 'Experiment= {device}',
      positionLabel: 'X= {x}, Y= {y}',
      blockLabel: 'Block= {block}',
      subBlockLabel: 'SubBlock= {subBlock}',
      unitParcelLabel: 'Plot= {parcel}',
      unitParcelIdentLabel: 'Plot= {parcel}, ID= {ident}',
      treatmentLabel: 'ShortTreatment= {treatment}',
      measureLabel: '{variable} = {value}',
      dateLabel: 'Measured {date}',
    },
    endProject: {
      title: 'Data entry completed',
      message1: 'All object has been measured.',
      message2: 'You may now close the data entry.',
      okBtnLabel: 'OK',
    },
    endWorkpath: {
      title: 'End of data workflow',
      message1: 'You\'ve reached the last element of the selected workflow.',
      message2: 'Please note that some measures are missing.',
      okBtnLabel: 'OK',
    },
  },
  fr: {
    defaultTitle: 'Saisie',
    leftMenu: {
      close: 'Interrompre',
      stop: 'Clôturer',
    },
    rightMenu: {
      dataEntry: 'Saisie',
      graphic: 'Graphique',
      visualization: 'Visualisation',
      situation: 'Situation',
      statistic: 'Statistique',
      parameter: 'Paramètres',
    },
    form: {
      breadcrumb: {
        title: 'Configuration',
        device: {
          short: 'Disp.',
          long: 'Dispositif',
        },
        block: {
          short: 'B.',
          long: 'Bloc',
        },
        subBlock: {
          short: 'SB.',
          long: 'Sous bloc',
        },
        unitParcel: {
          short: 'PU.',
          long: 'Parcelle unitaire',
        },
        treatment: {
          short: 'Trait.',
          long: 'Traitement',
        },
        individual: {
          short: 'Ind.',
          long: 'Individu',
        },
        id: {
          short: 'ID.',
          long: 'Identifiant',
        },
        position: {
          short: 'Pos X,Y',
          long: 'Position X,Y du plus petit couple',
        },
        empty: '-',
      },
      position: {
        noPosition: 'Aucun objet de saisie défini',
        message: 'X {x}, Y {y}',
        dialog: {
          openLabel: 'Déplacer',
          title: 'Changer d\'objet',
          levelSelector: {
            label: 'Niveau',
            individual: 'Individu',
            parcel: 'Parcelle unitaire',
            subBlock: 'Sous bloc',
            block: 'Bloc',
            device: 'Dispositif',
          },
          validLabel: 'Sélectionner',
          cancelLabel: 'Fermer',
        },
        ident: {
          label: 'ID de la parcelle ou de l\'individu',
          notValidIdent: 'L\'identifiant ne correspond à aucune parcelle ou individu.',
          confirmVisitedObject: {
            title: 'Objet déjà saisi',
            message: 'L\'objet ciblé a déjà été saisi et contien des mesures. Souhaitez-vous continuer et modifier ces mesures ?',
            confirm: 'Continuer',
            cancel: 'Annuler',
          },
        },
        autoIncrement: {
          notValidPosition: 'Aucun objet à la position suivante de l\'auto-incrément',
        },
        movementAlert: {
          title: 'Alerte de déplacement',
          currentPosition: 'Position actuelle : {x},{y}',
          lastPosition: 'Dernière position : {x},{y}',
          deltaMovement: 'Déplacement relatif : {x},{y}',
          closeBtn: 'Fermer',
        },
      },
      positionSelector1D: {
        autoIncr: 'Incr auto',
      },
      eDentryVariableForm: {
        error: {
          invalidContent: 'Contenu du champ invalide',
          confirmPopup: 'Confirmer',
          popupMessage: 'Une ou plusieurs valeurs rentrées sont invalides, vérifiez que les valeurs rentrées correspondent au type de variable',
          popupTitle: 'Contenu de champ incorrect',
        },
        submit: 'Suivant',
        save: 'Valider',
        previous: 'Précédent',
      },
      dentryFields: {
        noActiveVariable: 'Aucune variable active',
        fieldVariableInt: {
          unrecognizedSpeech: 'Entier non reconnu : {value}',
        },
        fieldVariableDate: {
          unrecognizedSpeech: 'Indicateur non reconnu : {value}',
        },
        fieldVariableGenerator: {
          dialogTitle: 'Variables générées',
          okBtnLabel: 'Valider',
          addBtnLabel: 'Ajouter',
          noEntry: 'Aucune variable générée',
          error: {
            tooMuchGenerator: 'Impossible de saisir plus de 50 variables générées',
            notIntNumber: 'Un nombre entier est requis',
          },
          delete: {
            title: 'Confirmation',
            message: 'L\'occurrence « {name} » va être supprimée. Continuer ?',
            okBtnLabel: 'Continuer',
            cancelBtnLabel: 'Annuler',
          },
          modificationDelete: {
            title: 'Attention',
            message: 'Les occurrences en surnombre seront définitivement supprimées.',
            okBtnLabel: 'Continuer',
            cancelBtnLabel: 'Annuler',
          },
        },
        fieldVariableBoolean: {
          trueValue: 'Oui',
          falseValue: 'Non',
        },
        fieldVariableAlphanumeric: {
          title: 'Liste de valeur',
          addToListMessage: 'La valeur {value} n\'existe pas dans la liste de valeur. Souhaitez-vous l\'ajouter ?',
          confirm: 'Oui',
          cancel: 'Non',
        },
        fieldVariableReal: {
          title: 'Échelle de notation',
          outOfScaleLimit: 'Attention: La valeur saisie {value} pour la variable {variable} n\'est pas conforme à l\'échelle de notation associée.',
          exclusiveScale: 'Échelle stricte : {scale}',
          openScale: 'Échelle ouverte : {scale}',
          confirm: 'OK',
          incorrectNumberOfDigit: 'Nombre de décimales incorrect (max {max})',
        },
        speechRecognition: {
          next: '^suivant[a-z]*$',
          remove: '^effac[a-z]*$',
          yesterday: 'hier',
          today: 'aujourd\'hui',
          tomorrow: 'demain',
        },
        outOfScale: 'Valeur incorrecte',
      },
      annotation: {
        openBtnLabel: 'Annotation',
        openBtnLabelSmall: 'Annot.',
        title: 'Annotation',
        noname: 'Sans nom',
        valueField: 'Annotation',
        nameField: 'Nom',
        typeField: 'Type',
        types: {
          text: 'Texte',
          image: 'Image',
        },
        closeBtnLabel: 'Terminer',
        addBtnLabel: 'Ajouter',
        deleteImageBtnLabel: 'Supprimer l\'image',
        picturePlaceholder: 'Photo',
        categories: {
          event: 'Evènement',
          observation: 'Observation',
          measure: 'Mesure',
          difficulty: 'Difficulté',
          test: 'Test',
        },
        category: 'Categorie',
        keywords: 'Mots clés',
        required: 'Requis',
        popup: {
          continueLabel: 'Continuer',
          cancelLabel: 'Annuler',
        },
      },
      barCode: {
        title: 'Association d\'ID',
        valueField: 'ID',
        closeBtnLabel: 'Fermer',
        saveBtnLabel: 'Enregistrer',
        askIdent: {
          title: 'Association',
          message: 'Voulez-vous procéder à l\'association ID/individu ?',
          confirmLabel: 'Oui',
          cancelLabel: 'Non',
        },
        identExists: 'Identifiant déjà utilisé.',
      },
      state: {
        openBtnLabel: 'État',
        title: 'Définir un état',
        stateField: 'État',
        currentText: 'État courant',
        changeListText: 'Changer l\'état',
        saveBtnLabel: 'Enregistrer',
        closeBtnLabel: 'Fermer',
        replantingPopup: {
          title: 'Replantation',
          message: 'Confirmer la replantation',
          confirm: 'Confirmer',
          cancel: 'Annuler',
          dateLabel: 'Date de replantation',
        },
      },
      notepad: {
        chips: 'Notes : {count}',
        valueField: 'Prise de notes',
        closeBtnLabel: 'Fermer',
        addBtnLabel: 'Ajouter',
        newNoteLabel: 'Note',
        emptyAlert: 'Aucune note. Vous pouvez ajouter une note à l\'aide du bouton "ajouter" ci-dessous.',
      },
      tests: {
        title: 'Échec d\'un test sur la mesure',
        variable: 'Variable : {name}',
        test: 'Test : {name}',
        value: 'Valeur saisie : {value}',
        rangeTest: 'Test sur intervalle (conditionnel)',
        rangeError: {
          outMandatory: 'La valeur saisie est au delà de la zone autorisée',
          outOptional: 'La valeur saisie est au delà de la zone probable',
          mandatoryInterval: 'Autorisé : min {min} | max {max}',
          optionalInterval: 'Probable : min {min} | max {max}',
          confirmOptional: 'Confirmez vous la saisie ?',
          rewriteMandatory: 'Voulez vous ressaisir la variable ?',
          annotationTitle: 'Erreur {test}',
          annotationText: 'La valeur {value} a été refusée par la règle de test',
        },
        combinationTest: 'Test sur combinaison entre variable',
        combinationError: {
          messageValue: 'Valeur saisie: ',
          textualFormula: '{first} {op} {second} = valeur',
          evaluationFormula: '{first} {op} {second} = {value}',
          condition: 'Condition : ',
          conditionFormula: '{min} <= valeur <= {max}',
          confirmQuestion: 'La condition n\'est pas vérifiée. Confirmez-vous la saisie ?',
          annotationTitle: 'Erreur {test}',
          annotationText: 'Test échoué, la condition n\'est pas vérifiée : {min} <= {value} <= {max}. Saisie forcée',
        },
        preconditionedTest: 'Test de précalcul conditionnel',
        preconditionedCalculation: {
          title: 'Test conditionnel',
          calculation: 'Valeur calculée : ',
          calculationFormula: '{var} = {value}',
          rule: 'Condition de précalcul : ',
          ruleFormula: '{var1} {condition} {var2}',
          confirmQuestion: 'Acceptez-vous cette valeur ?',
        },
        growthTest: 'Test d\'accroissement',
        growthError: {
          comparisonVariable: 'Variable de comparaison : {variable}',
          comparisonFormula: '{variable} = {value}',
          differenceRule: 'La différence entre la valeur saisie et la variable {variable} doit respecter :',
          textualFormula: '{var1}+{min} <= {var2} <= {var1}+{max}',
          confirmQuestion: 'La différence ne respecte pas la condition, confirmer-vous la saisie ?',
          annotationTitle: 'Erreur {test}',
          annotationText: 'Test échoué, la condition n\'est pas vérifiée : ({comp} + {min}) <= {value} <= ({comp} + {max}). Saisie forcée',
        },
        continueLabel: 'Oui',
        cancelLabel: 'Non',
      },
      variableViewer: {
        title: 'Informations',
        variable: 'Variable : {name}',
        type: 'Type : {type}',
        types: {
          alpha: 'Alphanumérique',
          int: 'Entière',
          real: 'Réelle',
          boolean: 'Booléenne',
          date: 'Date',
          time: 'Heure',
        },
        closeBtnLabel: 'Fermer',
      },
      validate: {
        title: 'Variable obligatoire',
        message: 'Certaines mesures de variables obligatoires sont manquantes. Voulez-vous continuer ?',
        mandatoryVariable: 'Cette variable est obligatoire. Voulez vous laisser le champ vide ?',
        confirm: 'Continuer',
        cancel: 'Annuler',
      },
      tabMode: {
        columns: {
          x: 'X',
          y: 'Y',
          action: '',
        },
        closeDialogBtnLabel: 'Fermer',
        informationTitle: 'Informations :',
        annotationTitle: 'Annotation :',
      },
      material: {
        dialog: {
          title: 'Matériel',
          reading: 'En attente de lecture...',
          connectBtnLabel: 'Choisir',
          acquisition: 'Acquisition',
          frame: 'Trame : {frame}',
          value: '{variable} : {value}',
          valueEmpty: 'Aucune valeur',
          confirmBtnLabel: 'Valider',
          disconnectBtnLabel: 'Déconnecter',
          closeBtnLabel: 'Fermer',
        },
        alert: {
          unableToConnect: 'Impossible de connecter le port série sélectionné',
        },
      },
      graphic: {
        moveBtnLabel: 'Déplacer',
      },
      notifications: {
        navigation: {
          locked: 'Navigation par cheminement',
          freeOpen: 'Navigation par coordonnées X,Y',
          freeCode: 'Navigation par identifiant',
          freeGraph: 'Navigation par graphique',
        },
        ui: {
          form: 'Saisie formulaire',
          table: 'Saisie tabulaire',
        },
      },
    },
    parameter: {
      cardVariable: {
        title: 'Variables',
        modifyText: 'Modifier la variable',
        testNumber: 'Aucun test | 1 test | {count} tests',
        variableDialog: {
          title: 'Ajouter une nouvelle variable',
          unique: {
            nameField: 'Nom de la variable',
            nameSmallField: 'Nom court',
            typeField: 'Type',
            formatField: 'Format',
            defaultField: 'La valeur par défaut est OUI',
            nbRepeatField: 'Nombre de répétitions',
            keywordField: 'Mots clés',
            unitField: 'Unité',
            isRequiredField: 'Champ requis',
            commentField: 'Commentaire',
            pathLevel: 'Unité de parcours',
            formatLength: 'Précision sur le format',
            digitNumber: 'Nombre de chiffres après la virgule',
          },
          generator: {
            step1: 'Informations',
            step2: 'Génératrice',
            prefix: 'Préfixe généré',
            generatedExpansion: 'Extension générée',
            addGenerated: 'Ajouter',
            generatedVariables: 'Variables générées',
          },
          errors: {
            nameIsRequired: 'Le nom de variable est requis',
            nameAlreadyUsed: 'Le nom doit être unique',
            shortNameAlreadyUsed: 'Le nom court doit être unique',
            nameIsTooLong: 'Le nom court doit faire max 5 caractères',
            typeIsRequired: 'Le type de variable est requis',
            formatIsRequired: 'Format est requis',
            formatLengthIsRequired: 'Précision sur le format requis',
            formatLengthMin: 'Le nombre de décimales doit être supérieur à 0',
            pathLevelIsRequired: 'Unité de parcours requise',
            prefixIsRequired: 'Le préfixe est requis',
            repetitionIsRequired: 'Le nombre de répétitions @:modules.commons.form.error.isRequired',
            repetitionPositive: 'Le nombre de répétitions doit être positif',
            repetitionMax: 'Le nombre de répétitions ne doit pas excéder 20',
            generatedExpansionIsRequired: 'L\'extension générée est requise',
          },
        },
        types: {
          real: 'Réel',
          string: 'Alphanumérique',
          bool: 'Booleen',
          int: 'Entier',
          date: 'Date',
          time: 'Heure',
        },
        pathLevel: {
          parcel: 'Parcelle',
          block: 'Bloc',
          subBlock: 'Sous bloc',
          device: 'Dispositif',
          individual: 'Individu',
        }
        ,
        formats: {
          free: 'Libre',
          decimalNumber: 'Nombre de décimales',
          characterNumber: 'Nombre de caractères',
          jjmmyyyy: 'jjmmyyyy',
          quantiem: 'Quantième',
        },
        expansion: {
          alphabetic: 'Alphabétique',
          numeric: 'Numérique',
        },
      },
      library: {
        openBtnLabel: 'Librairie',
        closeBtnLabel: 'Fermer',
        title: 'Librairie de variables',
        noDataAvailable: 'Aucune variable disponible',
        errorLoading: 'Erreur chargement des variables de librairie',
      },
      addBtnLabel: 'Ajouter',
      validBtnLabel: 'Valider',
      cancelBtnLabel: 'Annuler',
      cardTest: {
        title: 'Tests',
        modifyText: 'Modifier le test',
        noVariableSelected: 'Sélectionner une variable pour afficher les tests associés',
        testDialog: {
          title: 'Ajouter un test',
          variableField: 'Variable',
          testTypeField: 'Type de test',
          errors: {
            variableIsRequired: 'Veuillez choisir une variable',
            typeTestIsRequired: 'Veuillez choisir un type de test',
          },
          rangeTest: {
            mandatoryMinValue: 'Valeur minimale autorisée',
            mandatoryMaxValue: 'Valeur maximale autorisée',
            optionalMinValue: 'Valeur minimale probable',
            optionalMaxValue: 'Valeur maximale probable',
            errors: {
              mandatoryMinValueIsRequired: 'Valeur requise',
              mandatoryMinMax: 'Min doit être inférieur à Max',
              mandatoryMaxValueIsRequired: 'Valeur requise',
              optionalMinValueIsRequired: 'Valeur requise',
              optionalMinMax: 'Min doit être inférieur à Max',
              minIntervals: 'Min autorisé doit être inférieur au min conseillé',
              optionalMaxValueIsRequired: 'Valeur requise',
              maxIntervals: 'Max autorisé doit être supérieur au max conseillé',
            },
          },
          growthTest: {
            comparisonVariableUid: 'Variable de comparaison',
            minDiff: 'Ecart minimum',
            maxDiff: 'Ecart maximum',
            errors: {
              comparisonVariableUidIsRequired: 'Champ obligatoire',
              minDiffIsRequired: 'Champ obligatoire',
              maxDiffIsRequired: 'Champ obligatoire',
              minMaxDiff: 'Ecart minimum doit être inférieur au maximum',
            },
          },
          combinationTest: {
            firstOperandUid: 'Variable 1',
            secondOperandUid: 'Variable 2',
            lowLimit: 'Limite inférieure',
            highLimit: 'Limite supérieure',
            errors: {
              firstOperandUidIsRequired: 'Champ obligatoire',
              secondOperandUidIsRequired: 'Champ obligatoire',
              lowLimitIsRequired: 'Champ obligatoire',
              highLimitIsRequired: 'Champ obligatoire',
              minMaxLimit: 'Limite inférieure doit être inférieure à la borne supérieure',
              operatorIsRequired: 'Champ obligatoire',
            },
          },
          preconditionedCalculation: {
            comparisonVariableUid: 'Variable de comparaison',
            compareWithValue: 'Comparer à une',
            variable: 'Variable',
            value: 'Valeur',
            comparedValue: 'Valeur à comparer',
            comparedVariableUid: 'Variable à comparer',
            affectationValue: 'Valeur à affecter',
            errors: {
              comparedVariableUidIsRequired: 'Champ obligatoire',
              comparedValueIsRequired: 'Champ obligatoire',
              affectationValueIsRequired: 'Champ obligatoire',
              conditionIsRequired: 'Champ obligatoire',
              comparisonVariableUidIsRequired: 'Champ obligatoire',
            },
          },
        },
        types: {
          interval: 'Test sur intervalle',
          increase: 'Test d\'accroissement',
          combine: 'Test sur combinaison entre variables',
          placeholder: 'Précalcul conditionnel',
        },
      },
      cardAnnotation: {
        title: 'Annotation à saisir',
        emptySet: 'Aucune annotation à saisir',
      },
      cardOthers: {
        title: 'Autres',
        askIdent: 'Procéder à l\'association ID/individu',
        printDataEntry: 'Imprimer la saisie',
        lastFieldDoMove: 'Validation automatique du formulaire',
        speechRecognition: 'Activer la reconaissance vocale',
        disableNumeralKeyboard: 'Désactiver clavier numérique',
        movementSound: 'Son d\'alerte de direction',
        sounds: {
          i1: 'Langue de belle-mère',
          i2: 'Sonnette Docteur maboul',
          i3: 'Whoosh',
          i4: 'Klaxon poire simple',
          i5: 'Boing boing',
        },
      },
    },
    situation: {
      project: {
        title: 'Projet de saisie',
        name: 'Nom du projet',
        status: 'Cas de saisie',
        experimenter: 'Expérimentateur',
        statusValue: {
          toStart: 'Nouveau',
          running: 'En cours',
          done: 'Terminé',
          sent: 'Envoyé',
        },
        nbSession: 'Sessions de saisie',
        isMultipleExperimenter: 'Multi opérateur',
        workpath: 'Experimentateur',
        estimatedDuration: 'Durée estimée',
        startTime: 'Heure de début',
        duration: 'Durée',
        openSession: 'Sessions en cours',
      },
      variable: {
        title: 'Variables',
      },
      session: {
        title: 'Session en cours',
        startTime: 'Heure de début',
        duration: 'Durée',
      },
      measure: {
        title: 'Mesures',
        level: {
          device: {
            title: 'Dispositif',
          },
          block: {
            title: 'Bloc',
          },
          subBlock: {
            title: 'Sous bloc',
          },
          unitParcel: {
            title: 'PU',
          },
          individual: {
            title: 'Individu',
          },
        },
        type: {
          entries: 'Saisies :',
          annotation: 'Annotations requises :',
          objects: 'Unités :',
        },
      },
      status: {
        title: 'Statut',
        nbDead: 'Individus morts :',
      },
    },
    visualization: {
      filter: {
        title: 'Filtre',
        fieldsLabel: {
          individual: 'Individu',
          x: 'X',
          y: 'Y',
          courseUnit: 'Unité de parcours',
        },
        custom: {
          btnLabel: 'Filtre personnalisé',
          title: 'Définir un filtre',
          column: 'La valeur de la colonne',
          operator: 'est',
          bigger: 'plus grande',
          biggerEqual: 'égale ou plus grande',
          equal: 'la même',
          smallerEqual: 'égale ou plus petite',
          smaller: 'plus petite',
          target: 'que',
        },
        okBtnLabel: 'OK',
        columns: {
          btnLabel: 'Choisir les colonnes',
          title: 'Colonnes affichées',
        },
      },
      table: {
        title: 'Données',
        noColumns: 'Aucune colonne sélectionnée',
        columns: {
          platform: 'Plateforme',
          device: 'Dispositif',
          block: 'Bloc',
          subBlock: 'Sous bloc',
          parcel: 'Parcelle unitaire',
          dead: 'Mort',
          emergenceDate: 'Date d\'apparition',
          demiseDate: 'Date de disparition',
          treatment: 'Traitement',
          treatmentShort: 'Treatment (court)',
          x: 'X',
          y: 'Y',
          individual: 'Ind',
          annotation: 'Annot',
        },
      },
    },
    statistic: {
      integrationLevels: {
        treatment: 'Traitement',
        unitParcel: 'Parcelle unitaire',
        subBlock: 'Sous-bloc',
        block: 'Bloc',
        device: 'Dispositif',
      },
      filter: {
        title: 'Filtres',
        variableField: 'Variable',
        integrationLevelField: 'Niveau d\'intégration',
        histogramLevelField: 'Niveau d\'histogramme',
        deviceField: 'Dispositif',
        blockField: 'Bloc',
        unitPlotField: 'Parcelle Unitaire',
        treatmentField: 'Traitement',
      },
      visualizer: {
        title: 'Données',
        columns: {
          histogram: 'Histogramme',
          total: 'Effectif',
          min: 'Min',
          max: 'Max',
          avarage: 'Moy',
          deviation: 'Écart type',
          device: 'Dispo.',
          block: 'Bloc',
          unitPlot: 'PU',
          treatment: 'Trait.',
        },
      },
    },
    confirm: {
      close: {
        title: 'Confirmation',
        message: 'Souhaitez-vous interrompre votre saisie?',
        okBtnLabel: 'Confirmer',
        cancelBtnLabel: 'Annuler',
      },
      stop: {
        title: 'Confirmation',
        messageStillRunning: {
          caution: 'Attention tous les éléments n\'ont pas été saisis !',
          question: 'Souhaitez-vous vraiment clôturer votre saisie ?',
          unmodifiable: 'Sa reprise ne sera pas possible',
        },
        messageComplete: 'Toutes les mesures ont été réalisées. Vous pouvez clôturer votre projet.',
        okBtnLabel: 'Continuer',
        cancelBtnLabel: 'Annuler',
      },
    },
    printer: {
      startTitle: 'Demarrage de la saisie :',
      endTitle: 'Fin de la saisie :',
      deviceLabel: 'Dispositif = {device}',
      positionLabel: 'X = {x}, Y = {y}',
      blockLabel: 'Bloc = {block}',
      subBlockLabel: 'Sous-bloc = {subBlock}',
      unitParcelLabel: 'PU = {parcel}',
      unitParcelIdentLabel: 'PU= {parcel}, ID= {ident}',
      treatmentLabel: 'Traitement court = {treatment}',
      measureLabel: '{variable} = {value}',
      dateLabel: 'Le {date}',
    },
    endProject: {
      title: 'Fin de saisie',
      message1: 'Tous les objets ont été parcourus.',
      message2: 'Vous pouvez clôturer la saisie.',
      okBtnLabel: 'OK',
    },
    endWorkpath: {
      title: 'Fin de saisie',
      message1: 'Vous avez atteint le dernier objet du cheminement sélectionné.',
      message2: 'Toutes les saisies n\'ont pas été réalisées, si vous clôturez le projet un code d\'état "Données manquantes" leurs sera attribué.',
      okBtnLabel: 'OK',
    },
  },
}
