enum ParsingErrorEnum {
  UNKNOWN_ERROR = -1,

  ERROR_INCORRECT_FILE_TYPE = 1,

  ERROR_DURING_UNZIPPING = 2,
  ERROR_EXTRACTED_FILE_NOT_FOUND = 3,
  ERROR_DATA_ENTRY_PROJECT_MISSING = 4,
  ERROR_PLATFORM_MISSING = 5,
  ERROR_NO_EXPERIMENT = 6,
  ERROR_NO_BLOC = 7,
  ERROR_NO_BLOC_CHILDREN = 8,
  ERROR_NO_WORKPATH = 9,
  ERROR_DUPLICATED_URI = 10,
  ERROR_WORKPATH_ITEM_NOT_FOUND = 11,
  ERROR_NO_PROTOCOL = 12,
  ERROR_PROTOCOL_INFO_MISSING = 13,
  ERROR_MODALITY_ITEM_NOT_FOUND = 14,
  ERROR_STATE_CODE_INFO_MISSING = 15,
  NO_GENERATED_VARIABLE = 16,
  ERROR_TEST_INFO_MISSING = 17,
  UNKNOWN_TEST_TYPE = 18,
  UNKNOWN_TEST_LINKED_VARIABLE = 19,
  ERROR_PREVIOUS_VALUE_INFO_MISSING = 20,
  UNKNOWN_PREVIOUS_VALUE_LINKED_OBJECT = 21,
  UNKNOWN_UNITPLOT_LINKED_TREATMENT = 22,
  URI_NOT_FOUND = 23,
  ERROR_FILE_NOT_FOUND = 24,
  TOO_MANY_VARIABLE_LIBRARIES = 25,
  TOO_MANY_EXPERIMENT_LIBRARIES = 26,
  ERROR_INCORRECT_ANNOTATION_TYPE = 27,
  ERROR_UNKNOWN_DEVICE = 28,
  ERROR_NO_PLATFORM = 29,
  ERROR_NOTE_CREATOR_NOT_FOUND = 30,
  ERROR_VALUE_HINT_LIST_INFO_MISSING = 31,
  ERROR_SCALE_INFO_MISSING = 32,
  ERROR_OUT_EXPERIMENTATION_ZONE_INFO_MISSING = 33,
  ERROR_DATA_ENTRY_INFO_MISSING = 34,
  ERROR_WRONG_PLATFORM_NAME = 35,
  ERROR_NAME_ALREADY_IN_USE = 36,
  WARNING_UNKNOWN_SESSION_USER = 38,

  ERROR_CSV_MISSING_FACTOR_NAME = 100,
  ERROR_CSV_MISSING_X = 101,
  ERROR_CSV_MISSING_Y = 102,
  ERROR_CSV_MISSING_BLOCK_NUMBER = 103,
  ERROR_CSV_MISSING_UNIT_PLOT_NAME = 104,
  ERROR_CSV_MISSING_EXPERIMENT_NAME = 105,
  ERROR_CSV_MISSING_TREATMENT = 106,
  ERROR_CSV_ALREADY_USED_POSITION = 107,
  ERROR_CSV_UNIT_PLOT_MULTIPLE_TREATMENT = 108,
  ERROR_CSV_TREATMENT_MULTIPLE_FACTOR_COMBINATIONS = 109,
  ERROR_CSV_NON_NUMERIC_POSITION = 110,
  ERROR_CSV_EMPTY_VARIABLE_VALUE = 111,
  ERROR_CSV_DATA_ENTRY_OBJECT_NOT_FOUND = 112,
  ERROR_CSV_OBJECT_NOT_FOUND = 113,
  ERROR_CSV_MISSING_ORDER = 114,
  ERROR_CSV_MISSING_IDENTIFIER = 115,
  ERROR_CSV_MISSING_OPENSILEX_URI = 116,
  ERROR_CSV_ONLY_ONE_GERMPLASM = 117,
  ERROR_CSV_DIFFERENT_URI_FOR_SAME_MODALITY = 118,
  ERROR_CSV_EXPERIMENT_WKT_MALFORMED = 119,
  ERROR_CSV_BLOCK_WKT_MALFORMED = 120,
  ERROR_CSV_SUBBLOCK_WKT_MALFORMED = 121,
  ERROR_CSV_UP_WKT_MALFORMED = 122,
  ERROR_CSV_INDIVIDUAL_WKT_MALFORMED = 123,
  ERROR_CSV_OEZ_WKT_MALFORMED = 124,
  ERROR_CSV_INDIVIDUAL_ID_EXISTS = 125,
  ERROR_CSV_DIFFERENTS_TREATMENTS_WITH_SAME_MODALITIES = 126,

  PARSING_STATE_READ_ZIP_FILE = 200,
  PARSING_STATE_FIND_NAMESPACES = 201,
  PARSING_STATE_READ_STATE_CODE = 202,
  PARSING_STATE_READ_PROJECT_CREATOR = 203,
  PARSING_STATE_READ_DESKTOP_USER_COLLECTION = 204,
  PARSING_STATE_READ_OEZ_NATURE = 205,
  PARSING_STATE_READ_PLATFORM = 206,
  PARSING_STATE_READ_CONNECTED_VARIABLE_COLLECTION = 207,
  PARSING_STATE_READ_PROJECT = 208,
  PARSING_STATE_READ_GRAPHICAL_STRUCTURE = 209,
  PARSING_STATE_DATABASE_SAVE = 210,

  SEMANTIC_DUPLICATE_BLOCK_NUMBER = 300,
}

export default ParsingErrorEnum
