export default {
  en: {
    label: 'Data',
    editors: {
      dataEntryReturn: {
        stepSessionChooser: 'Sessions to import',
        stepUnidentifiedSession: 'Unidentified session : {session}',
        previous: '@:commons.previous',
        next: '@:commons.next',
        stepDeadValidation: 'Platform modifications',
      },
      projectRunning: {
        cardRunningTitle: 'Data entries currently in work',
        cardWaitingTitle: 'Data entries ready to be imported',
        deleteConfirm: {
          title: 'Confirm delete',
          message1: 'Warning, you\'re about to delete an export.',
          message2: 'The linked user will not be able to return any data',
          okBtnLabel: 'Confirm',
          cancelBtnLabel: 'Cancel',
        },
      },
      dataEntryFusion: {
        stepVariableChoice: 'Variable choice',
        orderDataEntries: 'Data entries ordonnancer',
        resolveConflicts: 'Resolve conflicts',
        stepNaming: 'Fusion name',
      },
    },
    forms: {
      mergeDeadIndividual: {
        formName: 'Platform modifications confirmation',
        modificationKind: 'Modification kind',
        block: 'Block',
        treatment: 'Treatment',
        accept: 'Accept',
        dead: 'Dead',
        replanting: 'Replanted',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      sessionChooser: {
        formName: 'Session chooser',
        noSessionChoosen: 'No session was returned',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      unIdentifiedSession: {
        formName: 'Experimenter identification',
        projectName: 'Project name',
        startDate: 'Start',
        endDate: 'End',
        experimenterLogin: 'Experimenter login',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        errors: {
          loginIsRequired: '@:modules.data.forms.unIdentifiedSession.experimenterLogin @:modules.commons.form.error.isRequired',
        },
      },
      dataEntryTable: {
        editFormName: 'Edit data entry',
        viewFormName: 'View data entry',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        platform: '@:enums.objectTypes.platform',
        experiment: '@:enums.objectTypes.experiment',
        block: '@:enums.objectTypes.block',
        subBlock: '@:enums.objectTypes.subBlock',
        unitPlot: '@:enums.objectTypes.unitPlot',
        dead: 'Dead',
        apparitionDate: 'Apparition date',
        disparitionDate: 'Disparition date',
        treatment: '@:enums.objectTypes.treatment',
        shortTreatment: 'Short @:lower:enums.objectTypes.treatment',
        id: 'Id',
        individual: '@:enums.objectTypes.individual',
        operator: 'Operator',
        annotationTitle: 'Annotations',
        factor: '@:enums.objectTypes.factor {count}',
        shortFactor: 'Short @:lower:enums.objectTypes.factor {count}',
        all: 'All',
        pathLevel: 'Filter only a pathLevel',
        columnDialogBtn: 'Select columns',
        columnDialogTitle: 'Showed columns',
        checkAll: 'Check all',
        filterDialogBtn: 'Advanced filters',
        filterDialogTitle: 'Advanced filters',
        annotation: {
          defaultName: 'Unnamed annotation',
          target: 'Target: ',
          date: 'Date: ',
          categories: 'Categories: ',
          keywords: 'Keywords: ',
          kind: 'Kind: ',
          value: 'Data: ',
        },
      },
      improvisedProject: {
        formName: 'Import improvised Data Entry project',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      fusionSelection: {
        formName: 'Variables to keep',
        fusionName: 'New Data Entry name',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
            empty: 'A name must be chosen',
        },
      },
      fusionOrder: {
        formName: 'Data entries order by object',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        ordonnancer: 'Ordonnancer',
      },
      fusionConflicts: {
        formName: 'Fusion conflicts',
        variable: 'Variable',
        object: 'Object',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      importDataEntry: {
        cardTitle: 'Import experiment from CSV file',
        separator: 'Separator used in the CSV file',
        individual: 'Individuals unit plots',
        surfaced: 'Surfaced unit plots',
        validate: 'Import',
        cancel: '@:commons.cancel',
        required: 'Mandatory field',
        minOneVariable: 'At least 1 variable must be included',
        noVariable: 'This project has no variable',
        integrateDeadReplanted: 'Apply experiment modifications (dead, replanted)',
        refuseDeadReplanted: 'Import data only',
        acceptMissingStateCode: 'Replace missing data with state code',
        refuseMissingStateCode: 'Refuse replacement',
        selects: {
          x: 'X',
          y: 'Y',
          project: 'Project',
          block: 'Block',
          experiment: 'Experiment',
          unitParcel: 'Unit Plot',
          subBlock: 'Sub block',
        },
      },
    dataEntryExport: {
                formName: 'Project data OpenSilex export',
                openSilexInstance: 'OpenSilex instance',
                alreadyExported: 'Project data already exported',
                alreadyExportedButDeleted: 'Project data already exported but doesn\'t exists anymore on instance',
                disconnectedFromInstance: 'Project data already exported but you\'re not connected on this instance',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                error: {
                    openSilexInstance: {
                        empty: 'OpenSilex instance must be set',
                    },
                },
            },},
  },
  fr: {
    label: 'Données de saisie',
    editors: {
      dataEntryReturn: {
        stepSessionChooser: 'Sessions à importer',
        stepUnidentifiedSession: 'Session non identifiée : {session}',
        previous: '@:commons.previous',
        next: '@:commons.next',
        stepDeadValidation: 'Modifications de la plateforme',
      },
      projectRunning: {
        cardRunningTitle: 'Projets transmis pour le terrain',
        cardWaitingTitle: 'Projets disponibles au retour de saisie',
        deleteConfirm: {
          title: 'Confirmer la suppression',
          message1: 'Attention, vous êtes en train de supprimer un export',
          message2: 'L\'utilisateur lié ne pourra plus retourner ses données si il a commencé à saisir',
          okBtnLabel: 'Confirmer',
          cancelBtnLabel: 'Annuler',
        },
      },
      dataEntryFusion: {
        stepVariableChoice: 'Choix des variables',
        orderDataEntries: 'Ordonnancement des saisies',
        resolveConflicts: 'Résolution de conflits',
        stepNaming: 'Nommer la fusion',
            },
        },
        forms: {
            mergeDeadIndividual: {
                formName: 'Confirmation des modifications de plateforme',
                modificationKind: 'Type de modification',
                block: 'Bloc',
                treatment: 'Traitement',
                accept: 'Accepter',
                dead: 'Mort',
                replanting: 'Replantation',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
            },
            sessionChooser: {
                formName: 'Choix des sessions',
                noSessionChoosen: 'Aucune session n\'a été retournée',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
            },
            unIdentifiedSession: {
                formName: 'Identification de l\'expérimentateur',
                projectName: 'Saisie',
                startDate: 'Début',
                endDate: 'Fin',
                experimenterLogin: 'Login de l\'expérimentateur',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                errors: {
                    loginIsRequired: '@:modules.data.forms.unIdentifiedSession.experimenterLogin @:modules.commons.form.error.isRequired',
                },
            },
            dataEntryTable: {
                editFormName: 'Edition de saisie',
                viewFormName: 'Visualisation de saisie',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                platform: '@:enums.objectTypes.platform',
                experiment: '@:enums.objectTypes.experiment',
                block: '@:enums.objectTypes.block',
                subBlock: '@:enums.objectTypes.subBlock',
                unitPlot: '@:enums.objectTypes.unitPlot',
                dead: 'Mort',
                apparitionDate: 'date d\'apparition',
                disparitionDate: 'Date de disparition',
                treatment: '@:enums.objectTypes.treatment',
                shortTreatment: '@:enums.objectTypes.treatment court',
                id: 'Id',
                individual: '@:enums.objectTypes.individual',
                operator: 'Opérateur',
                annotationTitle: 'Annotations',
                factor: '@:enums.objectTypes.factor {count}',
                shortFactor: '@:enums.objectTypes.factor {count} court',
                all: 'Tous',
                pathLevel: 'Choix de l\'unité de parcours',
                columnDialogBtn: 'Selection des colonnes',
                columnDialogTitle: 'Colonnes affichées',
                checkAll: 'Tout cocher',
                filterDialogBtn: 'Filtres avancés',
                filterDialogTitle: 'Filtres sur les lignes',
                export: 'Exporter',
                exportToXML: 'Au format XML',
                exportToCSV: 'Au format CSV',
                annotation: {
                    defaultName: 'Annotation sans nom',
                    target: 'Objet concerné: ',
                    date: 'Date: ',
                    categories: 'Catégories: ',
                    keywords: 'Mots clés: ',
                    kind: 'Nature: ',
                    value: 'Donnée: ',
                },
            },
            improvisedProject: {
                formName: 'Import de projet improvisé',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
            },
            fusionSelection: {
                formName: 'Variables à garder dans la fusion',
        fusionName: 'Nom de la fusion',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          empty: 'Choisissez le nom de la fusion',
        },
            },
            fusionOrder: {
                formName: 'Ordonnancement par objet métier',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                ordonnancer: 'Ordonnanceur',
            },
            fusionConflicts: {
                formName: 'Conflits de fusion',
                variable: 'Variable',
                object: 'Objet',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
            },
            importDataEntry: {
                cardTitle: 'Importer une saisie depuis un CSV',
                fileSelectionField: 'Fichier à importer',
                separator: 'Séparateur utilisé dans le CSV',
                individual: 'PU individuelles',
                surfaced: 'PU surfaciques',
                validate: 'Importer',
                cancel: '@:commons.cancel',
                required: 'Champ obligatoire',
                minOneVariable: 'Au moins une variable doit être importée',
                noVariable: 'Ce projet n\'a pas de variables',
                integrateDeadReplanted: 'Appliquer les modifications de dispositif (morts, replantés)',
                refuseDeadReplanted: 'Importer uniquement les données',
                acceptMissingStateCode: 'Remplacer les données manquantes par un code d\'état',
                refuseMissingStateCode: 'Refuser le remplacement des données manquantes par un code d\'état',
                selects: {
                    x: 'X',
                    y: 'Y',
                    project: 'Projet',
                    block: 'Bloc',
                    experiment: 'Dispositif',
                    unitParcel: 'PU',
                    subBlock: 'Sous-bloc',
                },
            },
            exportExperiment: {
                formName: 'Export de dispositif vers OpenSilex',
                openSilexInstance: 'Instance OpenSilex',
                alreadyExported: 'Dispositif déjà exporté',
                alreadyExportedButDeleted: 'Dispositif déjà exporté mais n\'est plus présent sur l\'instance OpenSilex',
                disconnectedFromInstance: 'Dispositif déjà exporté mais la connexion a échoué',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                error: {
                    openSilexInstance: {
                        empty: 'L\'instance OpenSilex est obligatoire',
                    },
                },
            },
            dataEntryExport: {
                openSilexInstance: 'Instance OpenSilex',
                formName: 'Export de saisie vers OpenSilex',
                alreadyExported: 'Saisie déjà exportée',
                alreadyExportedButDeleted: 'Saisie déjà exporté mais n\'est plus présent sur l\'instance OpenSilex',
                disconnectedFromInstance: 'Saisie déjà exporté mais la connexion a échoué',
                cancel: '@:commons.cancel',
                validate: '@:commons.validate',
                error: {
                    openSilexInstance: {
                        empty: 'L\'instance OpenSilex est obligatoire',
                    },
                },
            },
        },
    },
}
