export default {
  en: {
    label: 'Projects',
    forms: {
      stateCode: {
        formName: 'State code',
        code: 'Code',
        label: 'Label',
        meaning: 'Meaning',
        propagation: 'Propagation',
        color: 'Color',
        colorChooser: {
          btn: 'Choose a color',
          title: 'Color chooser',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        propagations: {
          none: 'None',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          code: {
            empty: 'Code is mandatory',
            notInt: 'Code must be an integer',
            notNeg: 'Code must be negative',
            nameVerification: 'Code is being verified',
            nameAlreadyExist: 'Code already in use',
          },
          label: {
            empty: 'Label must be set',
          },
        },
      },
      valueList: {
        formName: 'Value list',
        name: 'Name',
        values: {
          listName: 'List of values',
          value: 'Value to add',
        },
        add: 'Add',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        errors: {
          name: {
            empty: 'Value list name is mandatory',
          },
          value: {
            duplicate: 'Value must be unique',
            empty: 'Value must be set',
          },
          valuesIsRequired: 'At least one value must be set',
        },
      },
      variable: {
        formName: 'Variable',
        nameField: 'Variable name',
        openSilexUri: 'OpenSilex variable uri',
        nameSmallField: 'Short name',
        typeField: 'Type',
        formatField: 'Format',
        defaultField: 'Value is YES by default',
        nbRepeatField: 'Repetition',
        keywordField: 'Keywords',
        unitField: 'Unit',
        identifierField: 'Identifier',
        isRequiredField: 'Is required',
        commentField: 'Comment',
        pathLevel: 'Path level',
        formatLength: 'Format length',
        digitNumber: 'Number of digit',
        addToLib: 'Add to variable library',
        error: {
          nameIsRequired: 'Variable name @:modules.commons.form.error.isRequired',
          nameAlreadyUsed: 'Name already used',
          shortNameAlreadyUsed: 'Short name already used',
          nameIsTooLong: 'The name must be shorter than 5 characters',
          typeIsRequired: 'Type @:modules.commons.form.error.isRequired',
          openSilexUriIsRequired: 'OpenSilex uri @:modules.commons.form.error.isRequired',
          typeNotAllowed: 'This type of variable can\'t be imported',
          formatIsRequired: 'Format @:modules.commons.form.error.isRequired',
          formatLengthIsRequired: 'Format lenght required',
          formatLengthMin: 'Decimal number must be higher than 0',
          pathLevelIsRequired: 'Path level @:modules.commons.form.error.isRequired',
          repetitionIsRequired: 'Repetition number @:modules.commons.form.error.isRequired',
          repetitionPositive: 'Repetitions must be positive',
          repetitionMax: 'Repetition cannot be set over 20',
          prefixIsRequired: 'Prefix @:modules.commons.form.error.isRequired',
          generatedExpansionIsRequired: 'Generated expansion @:modules.commons.form.error.isRequired',
          nameVerification: 'Name is being verified',
          nameAlreadyExist: 'Name already in use',
        },
        confirmDialog: {
          title: 'Incompatibility warning',
          message1: 'The variable short name exceed 5 characters, it will be incompatible with the old app suite',
          message2: 'Are you sure you want to save the variable like that ?',
          cancel: '@:commons.cancel',
          confirm: '@:commons.confirm',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      generatorVariable: {
        formName: 'Generator Variable',
        prefix: 'Generated Prefix',
        generatedExpansion: 'Generated expansion',
        pathmode: 'Path mode',
        counting: 'Counting mode',
        expansions: {
          numeric: 'Numeric',
          alphabetic: 'Alphabetic',
        },
        pathModes: {
          horizontal: 'Horizontal',
          vertical: 'Vertical',
        },
        countings: {
          direct: 'Direct counting',
          stepByStep: 'Step by step',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          prefixIsRequired: 'Generated prefix @:modules.commons.form.error.isRequired',
          generatedExpansionIsRequired: 'Generated Expansion @:modules.commons.form.error.isRequired',
          generatedRequired: 'Generated variables cannot be empty',
        },
        generatedVariables: 'Generated variables',
      },
      device: {
        formName: 'Data provider experiment',
        alias: 'Showed name',
        name: 'Device name',
        manufacturer: 'Manufacturer',
        type: 'Type',
        communication: 'Communication protocol',
        comConfig: 'Configure',
        communicationParam: 'Settings',
        managedVariables: 'Managed variables',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          aliasIsRequired: '@:modules.project.forms.device.alias @:modules.commons.form.error.isRequired',
          nameIsRequired: '@:modules.project.forms.device.name @:modules.commons.form.error.isRequired',
          manufacturerIsRequired: '@:modules.project.forms.device.manufacturer @:modules.commons.form.error.isRequired',
          communicationProtocolIsRequired: '@:modules.project.forms.device.communication @:modules.commons.form.error.isRequired',
          managedVariablesIsRequired: 'Managed variables cannot be empty',
          nameVerification: 'Name is being verified',
          nameAlreadyExist: 'Name already in use',
        },
        rs232: {
          formName: 'RS232',
          frameSize: 'Frame size',
          frameStart: 'Frame start',
          frameEnd: 'Frame end',
          frameCsv: 'CSV Frame (leave empty if not CSV)',
          baudrate: 'Baudrate',
          bitFormat: 'Bit format',
          flowControl: 'Flow control',
          parity: 'Parity',
          stopBit: 'Stop bit',
          remoteControl: 'Remote control',
          request: 'Request',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
          error: {
            frameLengthIsRequired: '@:modules.project.forms.device.rs232.frameSize @:(modules.commons.form.error.isRequired)',
            frameLengthIsPositive: '@:modules.project.forms.device.rs232.frameSize must be positive',
            frameLengthIsInteger: '@:modules.project.forms.device.rs232.frameSize must be an integer',
            baudrateIsRequired: '@:modules.project.forms.device.rs232.baudrate @:(modules.commons.form.error.isRequired)',
            baudrateIsPositive: '@:modules.project.forms.device.rs232.baudrate must be positive',
            baudrateIsInteger: '@:modules.project.forms.device.rs232.baudrate must be an integer',
          },
        },
        bluetoothUsb: {
          formName: 'Bluetooth / Usb',
          frameSize: 'Frame size',
          frameStart: 'Frame start',
          frameEnd: 'Frame end',
          frameCsv: 'CSV Frame (leave empty if not CSV)',
          error: {
            frameLengthIsRequired: '@:modules.project.forms.device.bluetoothUsb.frameSize @:(modules.commons.form.error.isRequired)',
            frameLengthIsPositive: '@:modules.project.forms.device.bluetoothUsb.frameSize must be positive',
            frameLengthIsInteger: '@:modules.project.forms.device.bluetoothUsb.frameSize must be an integer',
          },
        },
        variableExtraFields: {
          formName: 'Automatic variable settings',
          frameSize: 'Frame size',
          frameStart: 'Start',
          frameEnd: 'End',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
          error: {
            frameNotRespected: 'Frame boundary arn\'t correct',
            frameStartIsRequired: '@:modules.project.forms.device.variableExtraFields.frameStart @:(modules.commons.form.error.isRequired)',
            frameEndIsRequired: '@:modules.project.forms.device.variableExtraFields.frameEnd @:(modules.commons.form.error.isRequired)',
          },
        },
      },
      dataEntryProject: {
        formName: 'Data entry project',
        name: 'Name',
        creator: 'Creator',
        creationDate: 'Creation date',
        platform: 'Platform',
        selectedExperiments: 'Selected experiments',
        comment: 'Comments',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          nameIsRequired: '@:modules.project.forms.dataEntryProject.name @:modules.commons.form.error.isRequired',
          platformIsRequired: '@:modules.project.forms.dataEntryProject.platform @:modules.commons.form.error.isRequired',
          nameVerification: 'Name is being verified',
          nameAlreadyExist: 'Name already in use',
          noValidatedExperiment: 'There is no validated experiment in the platform',
        },
      },
      requiredAnnotation: {
        formName: 'Required annotations',
        level: 'Business objects',
        kind: 'Kind',
        selectedCategories: 'Categories',
        when: 'When to ask',
        directives: 'Specific directives for the operator',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          kindIsRequired: '@:modules.project.forms.requiredAnnotation.kind @:(modules.commons.form.error.isRequired)',
          levelIsRequired: '@:modules.project.forms.requiredAnnotation.level @:modules.commons.form.error.isRequired',
          categoryIsRequired: 'At least a Category @:(modules.commons.form.error.isRequired)',
        },
      },
      pathBaseFilter: {
        formName: 'Path object filter',
        nameField: 'Name',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          nameIsRequired: '@:modules.project.forms.pathBaseFilter.nameField @:(modules.commons.form.error.isRequired)',
          mandatoryStartPoint: 'The start point is required',
          tooManyItemsForOrdonnancer: 'There is too much items on this level to apply ordonnancer',
        },
        nbTotal: 'Selected count : {total}',
        tabs: {
          treeView: 'Tree view',
          tableView: 'Table view',
        },
        tableView: {
          experiment: 'Exp.',
          block: 'Block',
          unitPlot: 'UPlot',
          treatment: 'Treat.',
          shortTreatment: 'short T.',
          x: 'X',
          y: 'Y',
        },
        dialog: {
          dialogTitle: 'Ordonnancer',
        },
        dialogGraphic: {
          title: 'Graphical path',
        },
      },
      userPath: {
        formName: 'User path',
        userLogin: 'User login',
        existingPath: 'Existing path',
        excludeThisPath: {
          groupName: 'Exclude all object visited by another user',
          validate: '@:commons.validate',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          userLoginIsRequired: '@:modules.project.forms.userPath.userLogin @:modules.commons.form.error.isRequired',
          userLoginAlreadyExists: '@:modules.project.forms.userPath.userLogin has already a @.lower:enums.objectTypes.userPath',
        },
      },
      pathBaseMovement: {
        formName: 'Mode de cheminement',
        level: 'Path level',
        move: 'Move way',
        startPoint: 'Start point',
        notConcerned: 'Not concerned',
        whenAsk: 'When is the data entry asked ?',
        whenEntering: 'When entering',
        whenLeaving: 'When leaving',
        incompletePathConfirm: {
          title: 'Incomplete path',
          message: 'Do you want to keep only selected items in your path ?',
          cancel: '@:commons.cancel',
          confirm: '@:commons.validate',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      previousDataSelection: {
        formName: 'Select variables to be linked to project',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      previousDataAssociation: {
        formName: 'Define @.lower:enums.objectTypes.variable associations',
        fromPreviousProject: 'From previous @.lower:(enums.objectTypes.dataEntryProject)',
        fromCurrentProject: 'In current @.lower:(enums.objectTypes.dataEntryProject)',
        cancel: '@:commons.previous',
        validate: '@:commons.validate',
        errors: {
          required: '@:enums.objectTypes.variable @:modules.commons.form.error.isRequired',
        },
      },
      typeTest: {
        fields: {
          type: 'Type of @.lower:enums.objectTypes.test',
        },
        fieldErrors: {
          typeIsRequired: 'This field @:modules.commons.form.error.isRequired',
        },
      },
      testInterval: {
        formName: '@:enums.objectTypes.testInterval',
        value: 'Value',
        fields: {
          probInterval: 'Probable interval',
          authInterval: 'Authorized interval',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@:modules.commons.form.error.isRequired',
        },
      },
      testGrowth: {
        formName: '@:enums.objectTypes.testGrowth',
        value: 'Value',
        fields: {
          variable: 'Comparison @.lower:enums.objectTypes.variable',
          minGrowth: 'Minimum difference',
          maxGrowth: 'Maximum difference',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      testCombination: {
        formName: '@:enums.objectTypes.testCombination',
        value: 'Value',
        subs: {
          condition: 'Condition definition',
          limit: 'Limit definition',
        },
        fields: {
          variable1: '@:enums.objectTypes.variable 1',
          operation: 'Operation',
          variable2: '@:enums.objectTypes.variable 2',
          minLimit: 'Minimum value',
          maxLimit: 'Maximum value',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      testPreconditioned: {
        formName: '@:enums.objectTypes.testPreconditioned',
        subs: {
          typeOfCompare: 'Type of comparison',
          definition: 'Definition',
          value: 'Value',
        },
        fields: {
          variable1: 'Comparison @.lower:enums.objectTypes.variable',
          operation: 'Comparison',
          variableCompare: 'Compared @:enums.objectTypes.variable',
          valueCompare: 'Compared Value',
          variableAssign: 'The "{varName}" @.lower:enums.objectTypes.variable is assigned to :',
          valueAssign: 'Assigned value',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        typeOfCompares: {
          value: 'Value',
          variable: '@:enums.objectTypes.variable',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      transferToMobile: {
        formName: 'Transfer project "{project}" to Adonis Mobile',
        userDisplay: '{surname} {name} ({login})',
        userListEmpty: 'No @:enums.objectTypes.user found',
        pathListEmpty: 'No @:enums.objectTypes.userPath found',
      },
      variableSelection: {
        formName: 'Copy variables to project',
        projectName: 'Project name',
        variables: 'Library variables',
        simpleVariablePanel: {
          title: 'Simple variables',
          listEmpty: 'No Simple variable available',
        },
        generatorVariablePanel: {
          title: 'Generator variables',
          listEmpty: 'No generator variable available',
        },
        semiAutomaticVariablePanel: {
          title: 'Semi automatic variables',
          listEmpty: 'No semi automatic variable available',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      stateCodeSelection: {
        formName: 'Link state code to project',
        listEmpty: 'No state code available',
        stateCodes: 'State codes',
        projectName: 'Project name',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      orderVariable: {
        formName: 'Order project variables',
        projectName: 'Project name',
        variables: 'Project variables',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      variableScale: {
        formName: 'Variable scale',
        nameField: 'Name',
        minValue: 'Min value',
        maxValue: 'Max value',
        exclusive: 'Only defined values',
        open: 'Open',
        error: {
          nameIsRequired: '@:modules.project.forms.variableScale.nameField @:modules.commons.form.error.isRequired',
          minValueIsRequired: '@:modules.project.forms.variableScale.minValue @:modules.commons.form.error.isRequired',
          minValuePositive: '@:modules.project.forms.variableScale.minValue must be positive',
          maxValueIsRequired: '@:modules.project.forms.variableScale.maxValue @:modules.commons.form.error.isRequired',
          maxValuePositive: '@:modules.project.forms.variableScale.maxValue must be positive',
          mustBeOverMinValue: '@:modules.project.forms.variableScale.maxValue must be upper than @:modules.project.forms.variableScale.minValue',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      linkValueList: {
        formName: 'Link a value list to a variable',
        fields: {
          name: '@:(enums.objectTypes.variable) name',
          valueLists: {
            listName: 'List of available @.lower:(enums.objectTypes.valueList)s',
            listEmpty: 'No available @.lower:(enums.objectTypes.valueList)',
          },
        },
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      variableScaleItem: {
        formName: 'Scale values',
        text: 'Text',
        image: 'Picture',
        value: 'Value',
        deleted: 'Deleted values',
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      duplicateProject: {
        formName: 'Project copy',
        name: 'New name',
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      importPathBase: {
        cardTitle: 'Import pathBase from CSV file',
        fileSelectionField: 'CSV file',
        separator: 'Separator used in the CSV file',
        name: 'Path name',
        whenAsk: 'When is the data entry asked ?',
        whenEntering: 'When entering',
        whenLeaving: 'When leaving',
        validate: 'Import',
        cancel: '@:commons.cancel',
        required: 'Mandatory field',
        positions: 'Identify object by position',
        identifier: 'Identify object by identifier',
        selects: {
          x: 'X',
          y: 'Y',
          order: 'Order',
          identifier: 'Identifier',
        },
      },
    },
    editors: {
      device: {
        stepDevice: 'Device global definition',
        stepVariable: 'Add new managed variable',
        previous: '@:commons.previous',
        next: '@:commons.next',
        stepVariableExtra: 'Frame partition configuration',
        addVariable: 'Add',
      },
      generator: {
        previous: '@:commons.previous',
        next: '@:commons.next',
        addVariable: 'Add generated variable',
        addGenerator: 'Generator',
        addIndependent: 'Independent',
        addExisting: 'Existing',
        addExistingDialog: 'From Existing Variable',
        generatorStep: 'Generator variable',
        generatedStep: 'Generated variable',
      },
      testOnVariable: {
        steps: {
          typeTestTitle: '@.lower:enums.objectTypes.test',
          formTestTitle: '@:enums.objectActions.create a @.lower:enums.objectTypes.test',
        },
      },
      pathBase: {
        steps: {
          filter: '@:modules.project.forms.pathBaseFilter.formName',
          algo: '@:modules.project.forms.pathBaseMovement.formName',
        },
        nextAction: '@:commons.next',
        confirm: {
          title: 'Visualize path',
          message: 'Do you want to visualize the path ?',
          confirm: 'Yes',
          cancel: 'No',
        },
        editAlert: 'Warning! Modification of an existing path will delete associated user paths.',
      },
      transferToMobile: {
        confirm: {
          title: 'No @:enums.objectTypes.userPath found',
          message1: 'A base path is defined but no user path found',
          message2: 'No path will be available during the data entry',
          cancel: '@:commons.cancel',
          confirm: '@:commons.confirm',
        },
      },
      variableScale: {
        stepInfo: 'Scale global definition',
        stepItems: 'Scale items',
        previous: '@:commons.previous',
        next: '@:commons.next',
        errors: {
          exceededSize: 'The file exceed the maximum size (100K)',
          wrongFileType: 'Only images are allowed',
        },
      },
    },
  },
  fr: {
    label: 'Projets de saisie',
    forms: {
      stateCode: {
        formName: 'Code d\'état',
        code: 'Code',
        label: 'Intitulé',
        meaning: 'Signification',
        propagation: 'Propagation',
        color: 'Couleur',
        colorChooser: {
          btn: 'Choisir une couleur',
          title: 'Choix de la couleur',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        propagations: {
          none: 'Aucune',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          code: {
            empty: 'Le code est obligatoire',
            notInt: 'Le code doit être entier',
            notNeg: 'Le code doit être negatif',
            nameVerification: 'Le code est en cours de vérification',
            nameAlreadyExist: 'Le code est déjà assigné',
          },
          label: {
            empty: 'L\'intitulé est obligatoire',
          },
        },
      },
      valueList: {
        formName: 'Liste de valeurs',
        name: 'Nom',
        values: {
          listName: 'Liste des valeurs',
          value: 'Valeur à ajouter',
        },
        add: 'Ajouter',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        errors: {
          name: {
            empty: 'Le nom de la liste de valeur est obligatoire',
          },
          value: {
            duplicate: 'la valeur doit être unique dans la liste',
            empty: 'La valeur à ajouter ne doit pas être vide',
          },
          valuesIsRequired: 'Au moins une valeur est requise',
        },
      },
      variable: {
        formName: 'Variable',
        title: 'Ajouter une nouvelle variable',
        openSilexUri: 'Uri variable OpenSilex',
        nameField: 'Nom de la variable',
        nameSmallField: 'Nom court',
        typeField: 'Type',
        formatField: 'Format',
        defaultField: 'La valeur par défaut est OUI',
        nbRepeatField: 'Nombre de répétition',
        keywordField: 'Mots clés',
        unitField: 'Unité',
        identifierField: 'Identifiant',
        isRequiredField: 'Champ requis',
        commentField: 'Commentaire',
        pathLevel: 'Unité de parcours',
        formatLength: 'Précision sur le format',
        digitNumber: 'Nombre de chiffres après la virgule',
        addToLib: 'Ajouter à la bibliothèque',
        error: {
          nameIsRequired: 'Le nom de variable @:modules.commons.form.error.isRequired',
          nameAlreadyUsed: 'Le nom doit être unique',
          shortNameAlreadyUsed: 'Le nom court doit être unique',
          nameIsTooLong: 'Le nom court doit faire max 5 caractères',
          typeIsRequired: 'Le type de variable @:modules.commons.form.error.isRequired',
          openSilexUriIsRequired: 'L\'uri OpenSilex @:modules.commons.form.error.isRequired',
          typeNotAllowed: 'Ce type de variable ne peut pas être importé',
          formatIsRequired: 'Format @:modules.commons.form.error.isRequired',
          formatLengthIsRequired: 'Précision sur le format requis',
          formatLengthMin: 'Le nombre de décimales doit être superieur à 0',
          pathLevelIsRequired: 'Unité de parcours requise',
          repetitionIsRequired: 'Le nombre de répétitions @:modules.commons.form.error.isRequired',
          repetitionPositive: 'Le nombre de répétitions doit être positif',
          repetitionMax: 'Le nombre de répétitions ne doit pas excéder 20',
          prefixIsRequired: 'Le préfix @:modules.commons.form.error.isRequired',
          generatedExpansionIsRequired: 'L\'extension générée @:modules.commons.form.error.isRequirede',
          nameVerification: 'Le nom est en cours de vérification',
          nameAlreadyExist: 'Le nom est déjà assigné',
        },
        confirmDialog: {
          title: 'Avertissement : Incompatibilité',
          message1: 'Le nom court de la variable dépasse les 5 caractères autorisés par l\'ancienne suite Adonis',
          message2: 'Etes-vous sûr de vouloir sauvegarder ainsi la variable ?',
          cancel: '@:commons.cancel',
          confirm: '@:commons.confirm',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      generatorVariable: {
        formName: 'Variable Génératrice',
        prefix: 'Préfixe généré',
        generatedExpansion: 'Extension générée',
        pathmode: 'Mode de parcours',
        counting: 'Dénombrement',
        expansions: {
          numeric: 'Numerique',
          alphabetic: 'Alphabetique',
        },
        pathModes: {
          horizontal: 'Linéaire horizontal',
          vertical: 'Linéaire Vertical',
        },
        countings: {
          direct: 'Dénombrement direct',
          stepByStep: 'Dénombrement pas à pas',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          prefixIsRequired: 'Le préfixe généré @:modules.commons.form.error.isRequired',
          generatedExpansionIsRequired: 'L\'extension générée @:(modules.commons.form.error.isRequired)e',
          generatedRequired: 'Attention, au moins une variable générée @:(modules.commons.form.error.isRequired)e',
        },
        generatedVariables: 'Variables générées',
      },
      device: {
        formName: 'Matériel',
        alias: 'Nom',
        name: 'Appareil',
        manufacturer: 'Fabriquant',
        type: 'Type',
        communication: 'Protocole de communication',
        comConfig: 'Configurer',
        communicationParam: 'Parametrer',
        managedVariables: 'Variables semi automatiques',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          aliasIsRequired: 'Le @:modules.project.forms.device.alias @:modules.commons.form.error.isRequired',
          nameIsRequired: 'L\'@:modules.project.forms.device.name @:modules.commons.form.error.isRequired',
          manufacturerIsRequired: 'Le @:modules.project.forms.device.manufacturer @:modules.commons.form.error.isRequired',
          communicationProtocolIsRequired: 'Le @:modules.project.forms.device.communication @:modules.commons.form.error.isRequired',
          managedVariablesIsRequired: 'Au moins une variable semi automatique doit être rentrée',
          nameVerification: 'Le nom est en cours de vérification',
          nameAlreadyExist: 'Le nom est déjà assigné',
        },
        rs232: {
          formName: 'RS232',
          frameSize: 'Taille de la trame',
          frameStart: 'Début de la trame',
          frameEnd: 'Fin de la trame',
          frameCsv: 'Séparateur CSV (laisser vide si pas de contenu CSV)',
          baudrate: 'Vitesse de transmission',
          bitFormat: 'Format des bits de données',
          flowControl: 'Contrôle de flux',
          parity: 'Parité',
          stopBit: 'Bit d\'arret',
          remoteControl: 'Télécommandable',
          request: 'Requête',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
          error: {
            frameLengthIsRequired: 'La @:modules.project.forms.device.rs232.frameSize @:(modules.commons.form.error.isRequired)e',
            frameLengthIsPositive: 'La @:modules.project.forms.device.rs232.frameSize doit être positive',
            frameLengthIsInteger: 'La @:modules.project.forms.device.rs232.frameSize doit être une valeur entière',
            baudrateIsRequired: 'La @:modules.project.forms.device.rs232.baudrate @:(modules.commons.form.error.isRequired)e',
            baudrateIsPositive: 'La @:modules.project.forms.device.rs232.baudrate doit être positive',
            baudrateIsInteger: 'La @:modules.project.forms.device.rs232.baudrate doit être une valeur entière',
          },
        },
        bluetoothUsb: {
          formName: 'Bluetooth / USB',
          frameSize: 'Taille de la trame',
          frameStart: 'Début de la trame',
          frameEnd: 'Fin de la trame',
          frameCsv: 'Séparateur CSV (laisser vide si pas de contenu CSV)',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
          error: {
            frameLengthIsRequired: 'La @:modules.project.forms.device.bluetoothUsb.frameSize @:(modules.commons.form.error.isRequired)e',
            frameLengthIsPositive: 'La @:modules.project.forms.device.bluetoothUsb.frameSize doit être positive',
            frameLengthIsInteger: 'La @:modules.project.forms.device.bluetoothUsb.frameSize doit être une valeur entière',
          },
        },
        variableExtraFields: {
          formName: 'Paramètres de la variable semi automatique',
          frameSize: 'Taille de la trame',
          frameStart: 'Début',
          frameEnd: 'Fin',
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
          error: {
            frameNotRespected: 'Les relations d\'ordres ne sont pas respectées',
            frameStartIsRequired: '@:modules.project.forms.device.variableExtraFields.frameStart @:(modules.commons.form.error.isRequired)',
            frameEndIsRequired: '@:modules.project.forms.device.variableExtraFields.frameEnd @:(modules.commons.form.error.isRequired)',
          },
        },
      },
      dataEntryProject: {
        formName: 'Projet de saisie',
        name: 'Nom du projet de saisie',
        creator: 'Créateur',
        creationDate: 'Date de création',
        platform: 'Plateforme associée',
        selectedExperiments: 'Dispositifs sélectionnés',
        comment: 'Commentaires',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          nameIsRequired: 'Le @:modules.project.forms.dataEntryProject.name @:modules.commons.form.error.isRequired',
          platformIsRequired: 'La @:modules.project.forms.dataEntryProject.platform @:modules.commons.form.error.isRequired',
          nameVerification: 'Le nom est en cours de vérification',
          nameAlreadyExist: 'Le nom est déjà assigné',
          noValidatedExperiment: 'Aucun dispositif validé dans la plateforme',
        },
      },
      requiredAnnotation: {
        formName: 'Annotations à saisir',
        level: 'Type d\'objets métiers',
        kind: 'Nature',
        selectedCategories: 'Categories',
        when: 'Quand renseigner l\'annotation',
        directives: 'Consignes pour l\'opérateur',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          kindIsRequired: 'La @:modules.project.forms.requiredAnnotation.kind @:(modules.commons.form.error.isRequired)e',
          levelIsRequired: 'Le @:modules.project.forms.requiredAnnotation.level @:modules.commons.form.error.isRequired',
          categoryIsRequired: 'Au moins une Categorie @:(modules.commons.form.error.isRequired)e',
        },
      },
      pathBaseFilter: {
        formName: 'Filtre sur le cheminement',
        nameField: 'Nom',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          nameIsRequired: 'Le @:modules.project.forms.pathBaseFilter.nameField @:(modules.commons.form.error.isRequired)',
          mandatoryStartPoint: 'Le point de départ est requis',
          tooManyItemsForOrdonnancer: 'Trops d\'objets de ce niveau pour appliquer l\'ordonnanceur',
        },
        nbTotal: 'Total sélectionné : {total}',
        tabs: {
          treeView: 'Visualisation arbre',
          tableView: 'Visualisation tableau',
        },
        tableView: {
          experiment: 'Dispo',
          block: 'Bloc',
          unitPlot: 'PU',
          treatment: 'Trait.',
          shortTreatment: 'T. court',
          x: 'X',
          y: 'Y',
        },
        dialog: {
          dialogTitle: 'Ordonnanceur',
        },
        dialogGraphic: {
          title: 'Cheminement graphique',
        },
      },
      userPath: {
        formName: 'Cheminement utilisateur',
        userLogin: 'Login utilisateur',
        existingPath: 'Cheminement existant',
        excludeThisPath: {
          groupName: 'Exclure les objets parcourus par un autre utilisateur',
          validate: '@:commons.confirm',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
        error: {
          userLoginIsRequired: 'Le @.lower:modules.project.forms.userPath.userLogin @:(modules.commons.form.error.isRequired)',
          userLoginAlreadyExists: 'Le @.lower:modules.project.forms.userPath.userLogin dispose déjà d\'un @.lower:enums.objectTypes.userPath',
        },
      },
      pathBaseMovement: {
        formName: 'Sélection des niveaux d\'intérêt et des algorithmes',
        level: 'Niveau',
        move: 'Déplacement',
        startPoint: 'Point de départ',
        notConcerned: 'Sans objet',
        whenAsk: 'Déclenchement de la saisie (concèrne les différents niveaux):',
        whenEntering: 'A l\'entrée',
        whenLeaving: 'A la sortie',
        incompletePathConfirm: {
          title: 'Cheminement incomplet',
          message: 'Tous les objets n\'ont pas été parcourus, voulez vous garder ce cheminement ?',
          cancel: '@:commons.cancel',
          confirm: '@:commons.validate',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      previousDataSelection: {
        formName: 'Sélectionner les variables à connecter',
        cancel: '@:commons.cancel',
        validate: '@:commons.next',
      },
      previousDataAssociation: {
        formName: 'Préchargement des @.lower:(enums.objectTypes.variable)s connectées',
        fromPreviousProject: '@:(enums.objectTypes.variable) issue de saisie à connecter',
        fromCurrentProject: '@:(enums.objectTypes.variable) du @.lower:(enums.objectTypes.dataEntryProject)',
        cancel: '@:commons.previous',
        validate: '@:commons.validate',
        errors: {
          required: 'La @.lower:enums.objectTypes.variable @:(modules.commons.form.error.isRequired)e',
        },
      },
      typeTest: {
        fields: {
          type: 'Type de @.lower:enums.objectTypes.test',
        },
        fieldErrors: {
          typeIsRequired: 'Ce champ @:modules.commons.form.error.isRequired',
        },
      },
      testInterval: {
        formName: '@:enums.objectTypes.testInterval',
        value: 'Valeur',
        fields: {
          probInterval: 'Intervalle probable',
          authInterval: 'Intervalle autorisé',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      testGrowth: {
        formName: '@:enums.objectTypes.testGrowth',
        value: 'Valeur',
        fields: {
          variable: '@:enums.objectTypes.variable de comparaison',
          minGrowth: 'Écart minimum',
          maxGrowth: 'Écart maximum',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      testCombination: {
        formName: '@:enums.objectTypes.testCombination',
        value: 'Valeur',
        subs: {
          condition: 'Condition',
          limit: 'Limite',
        },
        fields: {
          variable1: '@:enums.objectTypes.variable 1',
          operation: 'Opération',
          variable2: '@:enums.objectTypes.variable 2',
          minLimit: 'Valeur minimale',
          maxLimit: 'Valeur maximale',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      testPreconditioned: {
        formName: '@:enums.objectTypes.testPreconditioned',
        subs: {
          typeOfCompare: 'Type de comparaison',
          definition: 'Définition',
          value: 'Affectation de valeur',
        },
        fields: {
          variable1: '@:enums.objectTypes.variable de comparaison',
          operation: 'Comparaison',
          variableCompare: '@:enums.objectTypes.variable à comparer',
          valueCompare: 'Valeur à comparer',
          variableAssign: 'La @.lower:enums.objectTypes.variable « {varName} » prend la valeur :',
          valueAssign: 'Valeur à affecter',
        },
        actions: {
          cancel: '@:commons.cancel',
          validate: '@:commons.validate',
        },
        typeOfCompares: {
          value: 'Valeur',
          variable: '@:enums.objectTypes.variable',
        },
        fieldErrors: {
          isRequired: '@.cap:modules.commons.form.error.isRequired',
        },
      },
      transferToMobile: {
        formName: 'Transférer le projet « {project} » vers Adonis Mobile',
        userDisplay: '{surname} {name} ({username})',
        userListEmpty: 'Aucun @:enums.objectTypes.user trouvé',
        pathListEmpty: 'Aucun @:enums.objectTypes.userPath trouvé',
      },
      variableSelection: {
        formName: 'Copier des variables de la bibliothèque dans le projet',
        projectName: 'Nom du projet',
        variables: 'Variables en librairie',
        simpleVariablePanel: {
          title: 'Variables indépendantes',
          listEmpty: 'Aucune variable indépendante disponible',
        },
        generatorVariablePanel: {
          title: 'Variables génératrices',
          listEmpty: 'Aucune variable génératrice disponible',
        },
        semiAutomaticVariablePanel: {
          title: 'Variables semi automatiques',
          listEmpty: 'Aucune variable semi automatique disponible',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      stateCodeSelection: {
        formName: 'Lier des codes d\'état au projet',
        listEmpty: 'Aucun code d\'état disponible',
        stateCodes: 'Codes d\'états',
        projectName: 'Nom du projet',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      orderVariable: {
        formName: 'Ordonner les variables du projet',
        projectName: 'Nom du projet',
        variables: 'Variables du projet',
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      variableScale: {
        formName: 'Échelle de notation',
        nameField: 'Nom',
        minValue: 'Valeur min',
        maxValue: 'Valeur max',
        exclusive: 'Uniquement les valeurs définies',
        open: 'Ouvert',
        error: {
          nameIsRequired: 'Le @:modules.project.forms.variableScale.nameField @:modules.commons.form.error.isRequired',
          minValueIsRequired: 'La @:modules.project.forms.variableScale.minValue @:(modules.commons.form.error.isRequired)e',
          minValuePositive: 'La @:modules.project.forms.variableScale.minValue doit être positive',
          maxValueIsRequired: 'La @:modules.project.forms.variableScale.maxValue @:(modules.commons.form.error.isRequired)e',
          maxValuePositive: 'La @:modules.project.forms.variableScale.maxValue doit être positive',
          mustBeOverMinValue: 'La @:modules.project.forms.variableScale.maxValue doit être supérieure à la @:modules.project.forms.variableScale.minValue',
        },
        cancel: '@:commons.cancel',
        validate: '@:commons.validate',
      },
      linkValueList: {
        formName: 'Lier une @.lower:(enums.objectTypes.valueList) à la @.lower:(enums.objectTypes.variable)',
        fields: {
          name: 'Nom de la @.lower:(enums.objectTypes.variable)',
          valueLists: {
            listName: 'Liste des @.lower:(enums.objectTypes.valueList)s disponibles',
            listEmpty: 'Aucune @.lower:(enums.objectTypes.valueList)',
          },
        },
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      variableScaleItem: {
        formName: 'Valeurs de l\'échelle',
        text: 'Texte',
        image: 'Image',
        value: 'Valeur',
        deleted: 'Notations supprimées',
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      duplicateProject: {
        formName: 'Duplication de projet',
        name: 'Nouveau nom',
        cancel: '@:(commons.cancel)',
        validate: '@:(commons.validate)',
      },
      importPathBase: {
        cardTitle: 'Importer un cheminement depuis un CSV',
        fileSelectionField: 'Fichier à importer',
        separator: 'Séparateur utilisé dans le CSV',
        name: 'Nom du cheminement',
        whenAsk: 'Déclenchement de la saisie (concèrne les différents niveaux):',
        whenEntering: 'A l\'entrée',
        whenLeaving: 'A la sortie',
        required: 'Champ obligatoire',
        positions: 'Identifier l\'objet par la position',
        identifier: 'Identifier l\'objet par l\'identifiant',
        selects: {
          x: 'X',
          y: 'Y',
          order: 'Ordre',
          identifier: 'Identifiant',
        },
        validate: 'Importer',
        cancel: '@:commons.cancel',
      },
    },
    editors: {
      device: {
        stepDevice: 'Informations générales sur le matériel',
        stepVariable: 'Ajout d\'une variable semi automatique ',
        previous: '@:commons.previous',
        next: '@:commons.next',
        stepVariableExtra: 'Paramétrage de l\'utilisation de la trame',
        addVariable: 'Ajouter',
      },
      generator: {
        previous: '@:commons.previous',
        next: '@:commons.next',
        addVariable: 'Ajouter une variable',
        addGenerator: 'Génératrice',
        addIndependent: 'Indépendante',
        addExisting: 'Existante',
        addExistingDialog: 'Choix de la variable existante',
        generatorStep: 'Variable génératrice',
        generatedStep: 'Variable générée',
      },
      testOnVariable: {
        steps: {
          typeTestTitle: '@:enums.objectTypes.test',
          formTestTitle: '@:enums.objectActions.create un @.lower:enums.objectTypes.test',
        },
      },
      pathBase: {
        steps: {
          filter: '@:modules.project.forms.pathBaseFilter.formName',
          algo: '@:modules.project.forms.pathBaseMovement.formName',
        },
        nextAction: '@:commons.next',
        confirm: {
          title: 'Visualiser le cheminement',
          message: 'Voulez-vous visualiser le cheminement ?',
          confirm: 'Oui',
          cancel: 'Non',
        },
        editAlert: 'Attention ! La modification d\'un cheminement existant entraine la suppression des cheminements utilisateurs associés.',
      },
      variableScale: {
        stepInfo: 'Echelle de notation informations de base',
        stepItems: 'Sélection des valeurs',
        previous: '@:commons.previous',
        next: '@:commons.next',
        errors: {
          exceededSize: 'Le fichier dépasse le poids maximum autorisé (100K)',
          wrongFileType: 'Seules des images sont autorisées',
        },
      },
      transferToMobile: {
        confirm: {
          title: 'Aucun @:enums.objectTypes.userPath trouvé',
          message1: 'Attention, un cheminement est défini mais aucun cheminement utilisateur n\'a été créé dans le projet de saisie.',
          message2: 'Si vous continuez, aucun cheminement ne sera disponible sur le terrain.',
          cancel: '@:commons.cancel',
          confirm: '@:commons.confirm',
        },
      },
    },
  },
}
