export default {
  en: {
    common: {
      manageRight: 'Manage rights on the object',
      visualize: 'Visualization',
      edit: 'Graphical edition',
    },
    platform: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.platform',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.platform',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.platform',
      linkDevice: 'Link a device',
      originMeshSize: 'Origin and size',
      csvExport: '@:enums.objectActions.csvExport',
      xmlExport: '@:enums.objectActions.xmlExport',
      xmlImport: '@:enums.objectActions.xmlImport',
      xmlExportConfirmPopup: {
        title: 'Export with data',
        message: 'Export platform with data and projects ?',
        confirm: 'Yes',
        decline: 'No',
      },
      synthesis: 'Synthesis',
    },
    variable: {
      createIndependent: '@:enums.objectActions.create independent @.lower:enums.objectTypes.variable',
      createGenerator: '@:enums.objectActions.create generator @.lower:enums.objectTypes.variable',
      createAutomatic: '@:enums.objectActions.create automatic @.lower:enums.objectTypes.variable',
      import: 'Import variables (XML/zip)',
      export: 'Export variables (XML/zip)',
      importOpenSilex: 'Import variables (OpenSilex)',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.variable',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.variable',
      linkToPrevious: 'Link to previous @.lower:enums.objectTypes.variable',
      linkFromLibrary: 'Copy from library @.lower:enums.objectTypes.variable',
      orderVariables: 'Order project\'s @.lower:enums.objectTypes.variable',
      addScale: 'Add or edit the scale',
      linkValueList: 'Link an existing value list',
      synthesis: 'Synthesis',
    },
    valueList: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.valueList',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.valueList',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.valueList',
      updateList: 'Update project value list',
    },
    factor: {
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.factor',
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.factor',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.factor',
      fetchGermplasm: 'Import Germplasm from OpenSilex',
    },
    oezNature: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.oezNature',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.oezNature',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.oezNature',
    },
    stateCode: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.stateCode',
      edit: '@:enums.objectActions.modify  @.lower:enums.objectTypes.stateCode',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.stateCode',
      linkFromLibrary: 'Link a library @.lower:enums.objectTypes.stateCode',
    },
    protocol: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.protocol',
      csvImport: '@:enums.objectActions.csvImport',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.protocol',
      edit: '@:(enums.objectActions.modify) @.lower:enums.objectTypes.protocol',
      synthesis: 'Synthesis',
    },
    dataEntryProject: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.dataEntryProject',
      transfer: 'Transfer to Mobile',
      benchmark: 'Benchmark',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.dataEntryProject',
      duplicate: 'Clone project',
      synthesis: 'Synthesis',
    },
    requiredAnnotation: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.requiredAnnotation',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.requiredAnnotation',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.requiredAnnotation',
    },
    path: {
      import: 'Import CSV @.lower:enums.objectTypes.path',
      configurePathFilter: 'Configure @.lower:enums.objectTypes.path filter',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.path',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.path',
      createUserPath: '@:enums.objectActions.create @.lower:enums.objectTypes.userPath',
      deleteUserPath: '@:enums.objectActions.delete @.lower:enums.objectTypes.userPath',
    },
    userPath: {
      duplicate: 'Duplicate',
      edit: '@:enums.objectActions.modify',
      delete: '@:enums.objectActions.delete',
    },
    experiment: {
      create: '@:enums.objectActions.create @.lower:enums.objectTypes.experiment',
      xmlImport: '@:enums.objectActions.xmlImport',
      csvImport: '@:enums.objectActions.csvImport',
      csvExport: '@:enums.objectActions.csvExport',
      xmlExport: '@:enums.objectActions.xmlExport',
      openSilexExport: 'Export to OpenSilex',
      exportNotes: 'Export notepad as CSV',
      delete: '@:enums.objectActions.delete @.lower:enums.objectTypes.experiment',
      edit: '@:enums.objectActions.modify @.lower:enums.objectTypes.experiment',
      unlink: 'Unlink experiment',
      identificationCodes: 'Add identification codes',
      note: 'Notepad',
      state: 'Change @.lower:enums.objectTypes.experiment state',
      duplicate: 'Duplicate',
    },
    dataEntry: {
      delete: '@:enums.objectActions.delete',
      transfer: 'Import a data entry',
      visualize: 'Visualize data',
      edit: 'Edit data',
      status: 'Projects status',
      importRequestFile: 'Import Zip project file for mobile use',
      importImprovisedProject: 'Import improvised project',
      importProjectData: 'Import CSV data entry',
      fusion: 'Fusion project data',
      synthesis: 'Synthesis',
      modificationReport: 'Modification report',
      export: 'Export to OpenSilex',
    },
    user: {
      create: 'Create a new @.lower:enums.objectTypes.user',
      list: 'List all @.lower:(enums.objectTypes.user)s',
    },
    site: {
      create: 'Create a @.lower:enums.objectTypes.site',
      update: 'Update the @.lower:enums.objectTypes.site information',
      duplicate: 'Duplicate the @.lower:enums.objectTypes.site',
      manage: 'Manage the  @.lower:enums.objectTypes.site',
      associateUser: 'Associate a @.lower:enums.objectTypes.user',
      list: 'List all @.lower:enums.objectTypes.site',
    },
    parameter: {
      update: 'Edit parameters',
    },
    disabledObject: {
      activate: 'Activate',
      delete: 'Delete',
    },
    userGroups: {
      create: 'Create a group',
      edit: '@:(enums.objectActions.modify) @.lower:(enums.objectTypes.userGroup)',
      delete: '@:(enums.objectActions.delete) @.lower:(enums.objectTypes.userGroup)',
    },
    openSilexInstance: {
      create: 'Link an OpenSilex instance',
      edit: '@:(enums.objectActions.modify) OpenSilex link',
      delete: '@:(enums.objectActions.delete) OpenSilex link',
    },
    device: {
      create: 'Create a @.lower:enums.objectTypes.device',
      edit: '@:(enums.objectActions.modify) @.lower:(enums.objectTypes.device)',
      delete: '@:(enums.objectActions.delete) @.lower:(enums.objectTypes.device)',
    },
    transfer: {
      statusProject: 'Project status',
    },
    test: {
      create: 'Create a @.lower:enums.objectTypes.test',
      edit: '@:(enums.objectActions.modify) @.lower:(enums.objectTypes.test)',
      delete: '@:(enums.objectActions.delete) @.lower:(enums.objectTypes.test)',
    },
    variableScale: {
      edit: '@:(enums.objectActions.modify) @.lower:(enums.objectTypes.variableScale)',
      delete: '@:(enums.objectActions.delete) @.lower:(enums.objectTypes.variableScale)',
    },
    admin: {
      disabledObject: {
        delete: 'Remove permanently',
        restore: 'Restore',
      },
    },
    connectedVariable: {
      delete: 'Delete connected variable',
    },
  },
  fr: {
    common: {
      manageRight: 'Gérer les droits sur l\'objet',
      visualize: 'Visualiser',
      edit: 'Edition graphique',
    },
    platform: {
      create: '@:(enums.objectActions.create) une @.lower:(enums.objectTypes.platform)',
      delete: '@:(enums.objectActions.delete) la @.lower:(enums.objectTypes.platform)',
      edit: '@:enums.objectActions.modify la @.lower:enums.objectTypes.platform',
      linkDevice: 'Rattacher un dispositif',
      originMeshSize: 'Origine et taille',
      csvExport: '@:enums.objectActions.csvExport',
      xmlExport: '@:enums.objectActions.xmlExport',
      xmlImport: '@:enums.objectActions.xmlImport',
      xmlExportConfirmPopup: {
        title: 'Exporter Avec les données',
        message: 'Exporter la plateforme avec ses données et projets associés ?',
        confirm: 'Yes',
        decline: 'No',
      },
      synthesis: 'Fiche de synthèse',
    },
    variable: {
      createIndependent: '@:enums.objectActions.create une @.lower:enums.objectTypes.variable indépendante',
      createGenerator: '@:enums.objectActions.create une @.lower:enums.objectTypes.genVariable',
      createAutomatic: '@:enums.objectActions.create une @.lower:enums.objectTypes.variable semi-automatique',
      import: 'Importer des variables (XML/zip)',
      export: 'Exporter des variables (XML/zip)',
      importOpenSilex: 'Importer des variables OpenSilex',
      delete: '@:enums.objectActions.delete la @.lower:enums.objectTypes.variable',
      edit: '@:enums.objectActions.modify la @.lower:enums.objectTypes.variable',
      linkToPrevious: 'Connecter à une saisie précédente',
      linkFromLibrary: 'Copier une variable de la bibliothèque',
      orderVariables: 'Ordonner les @.lower:(enums.objectTypes.variable)s',
      addScale: 'Ajouter/Editer une échelle de notation',
      linkValueList: 'Associer une liste de valeur existante',
      synthesis: 'Fiche de synthèse',
    },
    valueList: {
      create: '@:enums.objectActions.create une @.lower:enums.objectTypes.valueList',
      edit: '@:enums.objectActions.modify la @.lower:enums.objectTypes.valueList',
      delete: '@:enums.objectActions.delete la @.lower:enums.objectTypes.valueList',
      updateList: 'Mettre à jour la liste de valeur',
    },
    factor: {
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.factor)',
      create: '@:(enums.objectActions.create) un @.lower:(enums.objectTypes.factor)',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.factor)',
      fetchGermplasm: 'Importer un germplasm depuis OpenSilex',
    },
    oezNature: {
      create: '@:(enums.objectActions.create) une @.lower:(enums.objectTypes.oezNature)',
      edit: '@:(enums.objectActions.modify) une @.lower:(enums.objectTypes.oezNature)',
      delete: '@:(enums.objectActions.delete) la @.lower:(enums.objectTypes.oezNature)',
    },
    stateCode: {
      create: '@:enums.objectActions.create un @.lower:enums.objectTypes.stateCode',
      edit: '@:enums.objectActions.modify le @.lower:enums.objectTypes.stateCode',
      delete: '@:enums.objectActions.delete le @.lower:enums.objectTypes.stateCode',
      linkFromLibrary: 'Rattacher un @.lower:enums.objectTypes.stateCode',
    },
    protocol: {
      create: '@:(enums.objectActions.create) un @.lower:(enums.objectTypes.protocol)',
      csvImport: '@:enums.objectActions.csvImport',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.protocol)',
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.protocol)',
      synthesis: 'Fiche de synthèse',
    },
    dataEntryProject: {
      create: '@:enums.objectActions.create un @.lower:enums.objectTypes.dataEntryProject',
      transfer: 'Transférer vers le terrain',
      benchmark: 'Banc de test',
      delete: '@:enums.objectActions.delete le @.lower:enums.objectTypes.dataEntryProject',
      duplicate: 'Dupliquer le projet',
      synthesis: 'Fiche de synthèse',
    },
    requiredAnnotation: {
      create: '@:(enums.objectActions.create) une @.lower:(enums.objectTypes.requiredAnnotation)',
      edit: '@:(enums.objectActions.modify) une @.lower:(enums.objectTypes.requiredAnnotation)',
      delete: '@:(enums.objectActions.delete) la @.lower:(enums.objectTypes.requiredAnnotation)',
    },
    path: {
      import: 'Importer un @.lower:enums.objectTypes.path CSV',
      configurePathFilter: 'Configurer les filtres de @.lower:enums.objectTypes.path',
      edit: '@:enums.objectActions.modify le @.lower:enums.objectTypes.path',
      delete: '@:enums.objectActions.delete le @.lower:enums.objectTypes.path',
      createUserPath: '@:enums.objectActions.create un @.lower:enums.objectTypes.userPath',
      deleteUserPath: '@:enums.objectActions.delete le @.lower:enums.objectTypes.userPath',
    },
    userPath: {
      duplicate: 'Dupliquer',
      edit: '@:enums.objectActions.modify',
      delete: '@:enums.objectActions.delete',
    },
    experiment: {
      create: '@:enums.objectActions.create un @.lower:enums.objectTypes.experiment',
      xmlImport: '@:enums.objectActions.xmlImport',
      csvImport: '@:enums.objectActions.csvImport',
      csvExport: '@:enums.objectActions.csvExport',
      xmlExport: '@:enums.objectActions.xmlExport',
      openSilexExport: 'Exporter vers OpenSilex',
      exportNotes: 'Exporter carnet de notes CSV',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.experiment)',
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.experiment)',
      unlink: 'Détacher le @.lower:(enums.objectTypes.experiment)',
      identificationCodes: 'Associer des codes d\'identification',
      note: 'Carnet de note',
      state: 'Changer l\'état du @.lower:enums.objectTypes.experiment',
      duplicate: 'Dupliquer',
    },
    dataEntry: {
      delete: '@:(enums.objectActions.delete)',
      transfer: 'Transférer une saisie depuis le terrain',
      visualize: 'Visualiser la saisie',
      edit: 'Editer les données',
      status: 'Gestion des projets en saisie',
      importRequestFile: 'Importer un projet de saisie pour utilisation sur le mobile',
      importImprovisedProject: 'Importer un projet de saisie improvisé',
      importProjectData: 'Importer une saisie CSV',
      fusion: 'Fusionner les saisies',
      synthesis: 'Fiche de synthèse',
      modificationReport: 'Rapport de modification',
      export: 'Exporter vers OpenSilex',
    },
    user: {
      create: 'Créer un nouvel @.lower:enums.objectTypes.user',
      list: 'Lister les @.lower:(enums.objectTypes.user)s',
    },
    site: {
      create: 'Créer un @.lower:enums.objectTypes.site',
      update: 'Modifier les informations du @.lower:enums.objectTypes.site',
      duplicate: 'Dupliquer le @.lower:enums.objectTypes.site',
      manage: 'Gérer le @.lower:enums.objectTypes.site',
      associateUser: 'Associer un @.lower:enums.objectTypes.user',
      list: 'Lister les @.lower:(enums.objectTypes.site)s',
    },
    parameter: {
      update: 'Éditer les paramètres',
    },
    disabledObject: {
      activate: 'Activer',
      delete: 'Supprimer',
    },
    userGroups: {
      create: 'Créer un groupe',
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.userGroup)',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.userGroup)',
    },
    openSilexInstance: {
      create: 'Lier une instance OpenSilex',
      edit: '@:(enums.objectActions.modify) le lien OpenSilex',
      delete: '@:(enums.objectActions.delete) le lien OpenSilex',
    },
    device: {
      create: 'Créer un @.lower:enums.objectTypes.device',
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.device)',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.device)',
    },
    transfer: {
      statusProject: 'État d\'avancement du projet',
    },
    test: {
      create: 'Créer un @.lower:enums.objectTypes.test',
      edit: '@:(enums.objectActions.modify) le @.lower:(enums.objectTypes.test)',
      delete: '@:(enums.objectActions.delete) le @.lower:(enums.objectTypes.test)',
    },
    variableScale: {
      edit: '@:(enums.objectActions.modify) l\'@.lower:(enums.objectTypes.variableScale)',
      delete: '@:(enums.objectActions.delete) l\'@.lower:(enums.objectTypes.variableScale)',
    },
    admin: {
      disabledObject: {
        delete: 'Supprimer définitivement',
        restore: 'Restaurer',
      },
    },
    connectedVariable: {
      delete: 'Supprimer le lien à la variable connectée',
    },
  },
}
