export default {
  en: {
    sheetTitle: 'Properties : ',
    property: 'Property',
    value: 'Value',
    platform: {
      name: 'Name',
      siteName: 'Site name',
      placeName: 'Place',
      comment: 'Comment',
      created: 'Creation date',
      experimentNumber: 'Experiment number',
      owner: 'Owner',
    },
    experiment: {
      name: 'Name',
      comment: 'Comment',
      created: 'Creation date',
      state: 'State',
      individualUP: 'Plot type',
      blockNumber: 'Block number',
      owner: 'Owner',
      attachments: 'Attachments',
      attachmentCount: '{count} Attachment(s)',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    block: {
      name: 'Name',
      subBlockNumber: 'Sub block number',
      unitPlotNumber: 'Unit plot number',
      surfacicUnitPlotNumber: 'Surfacic unit plot number',
      comment: 'Comment',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    subBlock: {
      name: 'Name',
      unitPlotNumber: 'Unit plot number',
      surfacicUnitPlotNumber: 'Surfacic unit plot number',
      comment: 'Comment',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    unitPlot: {
      name: 'Name',
      treatmentName: 'Treatment',
      treatmentShortName: 'Short treatment',
      individualNumber: 'Individual number',
      comment: 'Comment',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    surfacicUnitPlot: {
      name: 'Name',
      x: 'X',
      y: 'Y',
      dead: 'Dead',
      appeared: 'Appeared',
      disappeared: 'Disappeared',
      identifier: 'Identifier',
      latitude: 'Latitude',
      longitude: 'Longitude',
      height: 'Height',
      treatmentName: 'Treatment',
      treatmentShortName: 'Short treatment',
      comment: 'Comment',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    individual: {
      name: 'Name',
      x: 'X',
      y: 'Y',
      dead: 'Dead',
      appeared: 'Appeared',
      disappeared: 'Disappeared',
      identifier: 'Identifier',
      treatment: 'Treatment',
      comment: 'Comment',
      latitude: 'Latitude',
      longitude: 'Longitude',
      height: 'Height',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    protocol: {
      name: 'Name',
      aim: 'Aim',
      comment: 'Comment',
      created: 'Created',
      factorNumber: 'Factor number',
      treatmentNumber: 'Treatment number',
      owner: 'Owner',
      algorithm: 'Algorithm',
    },
    factor: {
      label: 'Name',
      modalityNumber: 'Modality number',
      germplasm: 'Germplasm',
      openSilexUri: '@:commons.openSilexUri',
    },
    modality: {
      value: 'Value',
      shortName: 'Short name',
      identifier: 'Identifier',
      factor: 'Factor',
      openSilexUri: '@:commons.openSilexUri',
    },
    treatment: {
      name: 'Name',
      shortName: 'Short name',
      repetitions: 'Repetitions',
      modalityNumber: 'Modality number',
      modalities: 'Modalities',
    },
    outExperimentationZone: {
      name: 'Name',
      x: 'X',
      y: 'Y',
      comment: 'Comment',
      nature: 'Nature',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    stateCode: {
      code: 'Code',
      title: 'Label',
      meaning: 'Meaning',
      permanent: 'Permanent',
      spreading: 'Spreading',
    },
    valueList: {
      name: 'Name',
      values: 'Values',
    },
    device: {
      alias: 'Name',
      name: 'Device',
      manufacturer: 'Manufacturer',
      type: 'Type',
      managedVariablesNumber: 'Managed variables number',
      communicationProtocol: 'Communication protocol',
      frameLength: 'Frame length',
      frameStart: 'Frame start',
      frameEnd: 'Frame end',
      frameCsv: 'Frame CSV',
      baudrate: 'Baudrate',
      bitFormat: 'Bit format',
      stopBit: 'Stop bit',
      remoteControl: 'Remote control',
      flowControl: 'Flow control',
      parity: 'Parity',
      openSilexUri: '@:commons.openSilexUri',
    },
    semiAutomaticVariable: {
      start: 'Start',
      end: 'End',
    },
    variable: {
      name: 'Name',
      shortName: 'Short name',
      repetitions: 'Repetitions',
      unit: 'Unit',
      comment: 'Comment',
      order: 'Order',
      defaultTrueValue: 'Default true value',
      mandatory: 'Mandatory',
      identifier: 'Identifier',
      type: 'Type',
      pathLevel: 'Path level',
      format: 'Format',
      formatLength: 'Size',
      created: 'Created',
      openSilexUri: '@:commons.openSilexUri',
    },
    generatorVariable: {
      generatedPrefix: 'Generated prefix',
      numeralIncrement: 'Numeral increment',
      pathWayHorizontal: 'Horizontal path way',
      directCounting: 'Direct counting',
    },
    project: {
      name: 'Name',
      comment: 'Comment',
      created: 'Created',
      platform: 'Plateform',
      experimentNumber: 'Experiment number',
      simpleVariableNumber: 'Simple variable number',
      generatorVariableNumber: 'Generator variable number',
      deviceNumber: 'Device number',
      projectDataNumber: 'Data entry number',
      owner: 'Owner',
    },
    session: {
      startedAt: 'Started at',
      endedAt: 'Ended at',
      comment: 'Comment',
      userName: 'Experimenter',
    },
    projectData: {
      name: 'Name',
      start: 'Start',
      end: 'End',
      sessionsNumber: 'Sessions number',
      project: 'Project',
      simpleVariableNumber: 'Simple variables number',
      generatorVariableNumber: 'Generator variables number',
      semiAutomaticVariableNumber: 'Semi automatic variables',
      comment: 'Comment',
      userName: 'Experimenter',
    },
  },
  fr: {
    sheetTitle: 'Propriétés : ',
    property: 'Propriété',
    value: 'Valeur',
    platform: {
      name: 'Nom',
      siteName: 'Nom du site',
      placeName: 'Lieu',
      comment: 'Commentaire',
      created: 'Date de Creation',
      experimentNumber: 'Nombre de dispositifs',
      owner: 'Créateur',
    },
    experiment: {
      name: 'Nom',
      comment: 'Commentaire',
      created: 'Date de Creation',
      state: 'Etat',
      individualUP: 'Type de parcelle',
      blockNumber: 'Nombre de blocs',
      owner: 'Créateur',
      attachments: 'Pièces jointes',
      attachmentCount: '{count} Pièce(s) jointe(s)',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    block: {
      name: 'Nom',
      subBlockNumber: 'Nombre de sous blocs',
      unitPlotNumber: 'Nombre de parcelles unitaires',
      surfacicUnitPlotNumber: 'Nombre de parcelles surfaciques',
      comment: 'Commentaire',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    subBlock: {
      name: 'Nom',
      unitPlotNumber: 'Nombre de parcelles unitaires',
      surfacicUnitPlotNumber: 'Nombre de parcelles surfaciques',
      comment: 'Commentaire',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    unitPlot: {
      name: 'Nom',
      treatmentName: 'Traitement',
      treatmentShortName: 'Traitement court',
      individualNumber: 'Nombre d\'individus',
      comment: 'Commentaire',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    surfacicUnitPlot: {
      name: 'Nom',
      x: 'X',
      y: 'Y',
      dead: 'Mort',
      appeared: 'Date d\'apparition',
      disappeared: 'Date de mort',
      identifier: 'Identifiant',
      latitude: 'Latitude',
      longitude: 'Longitude',
      height: 'Altitude',
      treatmentName: 'Traitement',
      treatmentShortName: 'Traitement court',
      comment: 'Commentaire',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    individual: {
      name: 'Nom',
      x: 'X',
      y: 'Y',
      dead: 'Mort',
      appeared: 'Date d\'apparition',
      disappeared: 'Date de mort',
      identifier: 'Identifier',
      treatment: 'Traitement',
      comment: 'Commentaire',
      latitude: 'Latitude',
      longitude: 'Longitude',
      height: 'Altitude',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    protocol: {
      name: 'Nom',
      aim: 'Objectif',
      comment: 'Commentaire',
      created: 'Date de création',
      factorNumber: 'Nombre de facteurs',
      treatmentNumber: 'Nombre de traitements',
      owner: 'Créateur',
      algorithm: 'Algorithme',
    },
    factor: {
      label: 'Nom',
      modalityNumber: 'Nombre de modalités',
      germplasm: 'Germplasm',
      openSilexUri: '@:commons.openSilexUri',
    },
    modality: {
      value: 'Valeur',
      shortName: 'Nom court',
      identifier: 'Identifiant',
      factor: 'Facteur',
      openSilexUri: '@:commons.openSilexUri',
    },
    treatment: {
      name: 'Nom',
      shortName: 'Nom court',
      repetitions: 'Répétitions',
      modalityNumber: 'Nombre de modalités',
      modalities: 'Modalités',
    },
    outExperimentationZone: {
      name: 'Nom',
      x: 'X',
      y: 'Y',
      comment: 'Commentaire',
      nature: 'Nature',
      openSilexUri: '@:commons.openSilexUri',
        geometry: '@:commons.geometry',
    },
    stateCode: {
      code: 'Code',
      title: 'Intitulé',
      meaning: 'Signification',
      permanent: 'Permanent',
      spreading: 'Propagation',
    },
    valueList: {
      name: 'Nom',
      values: 'Valeurs',
    },
    device: {
      alias: 'Name',
      name: 'Appareil',
      manufacturer: 'Fabriquant',
      type: 'Type',
      managedVariablesNumber: 'Nombre de variables semi automatiques',
      communicationProtocol: 'Protocole de communication',
      frameLength: 'Taille de la trame',
      frameStart: 'Début de trame',
      frameEnd: 'Fin de trame',
      frameCsv: 'Trame CSV',
      baudrate: 'Vitesse de transmission',
      bitFormat: 'Format de bit',
      stopBit: 'Bit de stop',
      remoteControl: 'Télécommandable',
      flowControl: 'Controle de flux',
      parity: 'Parité',
      openSilexUri: '@:commons.openSilexUri',
    },
    semiAutomaticVariable: {
      start: 'Début',
      end: 'Fin',
    },
    variable: {
      name: 'Nom',
      shortName: 'Nom court',
      repetitions: 'Répétitions',
      unit: 'Unité',
      comment: 'Commentaire',
      order: 'Ordre',
      defaultTrueValue: 'Valeur vrai par défaut',
      mandatory: 'Obligatoire',
      identifier: 'Identifiant',
      type: 'Type',
      pathLevel: 'Unité de parcours',
      format: 'Format',
      formatLength: 'Taille',
      created: 'Date de création',
      openSilexUri: '@:commons.openSilexUri',
    },
    generatorVariable: {
      generatedPrefix: 'Préfix généré',
      numeralIncrement: 'Incrément numérique',
      pathWayHorizontal: 'Mode de parcours horizontal',
      directCounting: 'Dénombrement direct',
    },
    project: {
      name: 'Nom',
      comment: 'Commentaire',
      created: 'Date de création',
      platform: 'Plateforme',
      experimentNumber: 'Nombre de dispositifs',
      simpleVariableNumber: 'Nombre de variables indépendantes',
      generatorVariableNumber: 'Nombre de variables génératrices',
      deviceNumber: 'Nombre de materiels',
      projectDataNumber: 'Nombre de saisies',
      owner: 'Créateur',
    },
    session: {
      startedAt: 'Début',
      endedAt: 'Fin',
      comment: 'Commentaire',
      userName: 'Experimentateur',
    },
    projectData: {
      name: 'Nom',
      start: 'Début',
      end: 'Fin',
      sessionsNumber: 'Nombre de sessions',
      project: 'Projet',
      simpleVariableNumber: 'Nombre de variables indépendantes',
      generatorVariableNumber: 'Nombre de variables génératrices',
      semiAutomaticVariableNumber: 'Nombre de variables semi automatiques',
      comment: 'Commentaire',
      userName: 'Experimentateur',
    },
  },
}
